/*
 * viewmodel.min.js  version 1.2
 *
 * Sweet Home 3D, Copyright (c) 2016 Emmanuel PUYBARET / eTeks <info@eteks.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
function Node3D(){}Node3D.READING_MODEL="Reading model";Node3D.PARSING_MODEL="Parsing model";Node3D.BUILDING_MODEL="Building model";Node3D.BINDING_MODEL="Binding model";Node3D.prototype.setCapability=function(a){if(this.capability===undefined){this.capability=0}this.capabilities|=a};Node3D.prototype.getCapability=function(a){if(this.capability===undefined){return false}else{return(this.capabilities&a)!==0}};Node3D.prototype.getParent=function(){if(this.parent===undefined){return null}else{return this.parent}};Node3D.prototype.addPropertyChangeListener=function(b,a){if(this.propertyChangeSupport===undefined){this.propertyChangeSupport=new PropertyChangeSupport(this)}this.propertyChangeSupport.addPropertyChangeListener(b,a)};Node3D.prototype.removePropertyChangeListener=function(b,a){if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.removePropertyChangeListener(b,a)}};Node3D.prototype.clone=function(){return new Node3D()};function Shape3D(b,a){Node3D.call(this);this.appearance=a;this.bounds=null;this.name=null;this.geometries=[];if(b!==null){this.addGeometry(b)}}Shape3D.prototype=Object.create(Node3D.prototype);Shape3D.prototype.constructor=Shape3D;Shape3D.prototype.addGeometry=function(e){this.geometries.push(e);var b=vec3.fromValues(Infinity,Infinity,Infinity);var c=vec3.fromValues(-Infinity,-Infinity,-Infinity);if(this.bounds!==null){this.bounds.getLower(b);this.bounds.getUpper(c)}for(var a=0;a<e.vertexIndices.length;a++){var d=e.vertices[e.vertexIndices[a]];vec3.min(b,b,d);vec3.max(c,c,d)}this.bounds=new BoundingBox3D(b,c)};Shape3D.prototype.getBounds=function(){return this.bounds.clone()};Shape3D.prototype.setName=function(a){this.name=a};Shape3D.prototype.getName=function(){return this.name};Shape3D.prototype.getGeometries=function(){return this.geometries};Shape3D.prototype.getAppearance=function(){return this.appearance};Shape3D.prototype.setAppearance=function(a){this.appearance=a};Shape3D.prototype.setPickable=function(a){this.pickable=a};Shape3D.prototype.isPickable=function(){if(this.pickable!==undefined){return this.pickable}else{return true}};Shape3D.prototype.clone=function(){var a=new Shape3D(null,this.appearance);if(this.name!==undefined){a.name=this.name}a.geometries=this.geometries;a.bounds=this.bounds;if(this.pickable!==undefined){a.pickable=this.pickable}return a};function Background3D(a){this.geometry=a}Background3D.prototype=Object.create(Node3D.prototype);Background3D.prototype.constructor=Background3D;Background3D.prototype.getGeometry=function(){return this.geometry};Background3D.prototype.clone=function(){return new Background3D(this.geometry)};function Light3D(a){Node3D.call(this);this.color=a}Light3D.prototype=Object.create(Node3D.prototype);Light3D.prototype.constructor=Light3D;Light3D.prototype.getColor=function(){return this.color};Light3D.prototype.setColor=function(a){var b=this.color;this.color=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("COLOR",b,a)}};function AmbientLight3D(a){Light3D.call(this,a)}AmbientLight3D.prototype=Object.create(Light3D.prototype);AmbientLight3D.prototype.constructor=AmbientLight3D;AmbientLight3D.prototype.clone=function(){return new AmbientLight3D(this.color)};function DirectionalLight3D(a,b){Light3D.call(this,a);this.direction=b}DirectionalLight3D.prototype=Object.create(Light3D.prototype);DirectionalLight3D.prototype.constructor=DirectionalLight3D;Light3D.prototype.getDirection=function(){return this.direction};DirectionalLight3D.prototype.clone=function(){return new DirectionalLight3D(this.color,this.direction)};function Group3D(){Node3D.call(this);this.children=[]}Group3D.prototype=Object.create(Node3D.prototype);Group3D.prototype.constructor=Group3D;Group3D.ALLOW_CHILDREN_EXTEND=1;Group3D.prototype.addChild=function(a){this.insertChild(a,this.children.length)};Group3D.prototype.insertChild=function(b,a){this.children.splice(a,0,b);b.parent=this;if(this.childrenChangeSupport!==undefined){this.childrenChangeSupport.fireCollectionChanged(b,a,CollectionEvent.Type.ADD)}};Group3D.prototype.getChild=function(a){return this.children[a]};Group3D.prototype.getChildren=function(){return this.children};Group3D.prototype.removeChild=function(a){var b;if(a instanceof Node3D){b=a;a=this.children.indexOf(b)}else{b=this.children[a]}this.children.splice(a,1);delete b.parent;if(this.childrenChangeSupport!==undefined){this.childrenChangeSupport.fireCollectionChanged(b,a,CollectionEvent.Type.DELETE)}};Group3D.prototype.removeAllChildren=function(){for(var a=this.children.length-1;a>=0;a--){this.removeChild(a)}};Group3D.prototype.addChildrenListener=function(a){if(this.childrenChangeSupport===undefined){this.childrenChangeSupport=new CollectionChangeSupport(this)}this.childrenChangeSupport.addCollectionListener(a)};Group3D.prototype.removeChildrenListener=function(a){if(this.childrenChangeSupport!==undefined){this.childrenChangeSupport.removeCollectionListener(a)}};Group3D.prototype.clone=function(){return new Group3D()};function BranchGroup3D(){Group3D.call(this)}BranchGroup3D.prototype=Object.create(Group3D.prototype);BranchGroup3D.prototype.constructor=BranchGroup3D;BranchGroup3D.prototype.detach=function(){if(this.parent){this.parent.removeChild(this)}};BranchGroup3D.prototype.clone=function(){return new BranchGroup3D()};function TransformGroup3D(a){Group3D.call(this);if(a!==undefined){this.transform=mat4.clone(a)}else{this.transform=mat4.create()}}TransformGroup3D.prototype=Object.create(Group3D.prototype);TransformGroup3D.prototype.constructor=TransformGroup3D;TransformGroup3D.ALLOW_TRANSFORM_WRITE=2;TransformGroup3D.prototype.getTransform=function(a){mat4.copy(a,this.transform)};TransformGroup3D.prototype.setTransform=function(a){if(!TransformGroup3D.areTransformationsEqual(this.transform,a)){var b=mat4.clone(this.transform);mat4.copy(this.transform,a);if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("TRANSFORM",b,a)}}};TransformGroup3D.areTransformationsEqual=function(c,b){if(c&&b&&c.length===b.length){for(var a=0;a<c.length;a++){if(c[a]!==b[a]){return false}}return true}else{return c===b}};TransformGroup3D.prototype.clone=function(){return new TransformGroup3D(this.transform)};function Appearance3D(a){this.name=a}Appearance3D.CULL_NONE=0;Appearance3D.CULL_BACK=1;Appearance3D.CULL_FRONT=2;Appearance3D.prototype.addPropertyChangeListener=function(a){if(this.propertyChangeSupport===undefined){this.propertyChangeSupport=new PropertyChangeSupport(this)}this.propertyChangeSupport.addPropertyChangeListener(a)};Appearance3D.prototype.removePropertyChangeListener=function(a){if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.removePropertyChangeListener(a)}};Appearance3D.prototype.getName=function(){return this.name};Appearance3D.prototype.setAmbientColor=function(a){var b=this.ambientColor;this.ambientColor=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("AMBIENT_COLOR",b,a)}};Appearance3D.prototype.getAmbientColor=function(){return this.ambientColor};Appearance3D.prototype.setDiffuseColor=function(a){var b=this.diffuseColor;this.diffuseColor=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("DIFFUSE_COLOR",b,a)}};Appearance3D.prototype.getDiffuseColor=function(){return this.diffuseColor};Appearance3D.prototype.setSpecularColor=function(b){var a=this.specularColor;this.specularColor=b;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("SPECULAR_COLOR",a,b)}};Appearance3D.prototype.getSpecularColor=function(){return this.specularColor};Appearance3D.prototype.setShininess=function(b){b=Math.max(b,1);var a=this.shininess;this.shininess=b;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("SHININESS",a,b)}};Appearance3D.prototype.getShininess=function(){return this.shininess};Appearance3D.prototype.setTransparency=function(a){var b=this.transparency;this.transparency=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("TRANSPARENCY",b,a)}};Appearance3D.prototype.getTransparency=function(){return this.transparency};Appearance3D.prototype.setIllumination=function(a){var b=this.illumination;this.illumination=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("ILLUMINATION",b,a)}};Appearance3D.prototype.getIllumination=function(){return this.illumination};Appearance3D.prototype.setTextureImage=function(a){if(this.textureImage!==a){var b=this.textureImage;this.textureImage=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("TEXTURE_IMAGE",b,a)}}};Appearance3D.prototype.getTextureImage=function(){return this.textureImage};Appearance3D.prototype.setTextureCoordinatesGeneration=function(b){if(!Appearance3D.areTextureCoordinatesGenerationsEqual(this.textureCoordinatesGeneration,b)){var a=this.textureCoordinatesGeneration;this.textureCoordinatesGeneration=b;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("TEXTURE_COORDINATES_GENERATION",a,b)}}};Appearance3D.areTextureCoordinatesGenerationsEqual=function(c,b){if(c&&b){var e=c.planeS;var d=b.planeS;if(e&&d&&e[0]===d[0]&&e[1]===d[1]&&e[2]===d[2]&&e[3]===d[3]){var a=c.planeT;var f=b.planeT;return a&&f&&a[0]===f[0]&&a[1]===f[1]&&a[2]===f[2]&&a[3]===f[3]}return false}else{return c===b}};Appearance3D.prototype.getTextureCoordinatesGeneration=function(){return this.textureCoordinatesGeneration};Appearance3D.prototype.setTextureTransform=function(b){if(!TransformGroup3D.areTransformationsEqual(this.textureTransform,b)){var a=this.textureTransform;this.textureTransform=b;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("TEXTURE_TRANSFORM",a,b)}}};Appearance3D.prototype.getTextureTransform=function(){return this.textureTransform};Appearance3D.prototype.setVisible=function(b){var a=this.visible;this.visible=b;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("VISIBLE",a,b)}};Appearance3D.prototype.isVisible=function(){return this.visible!==false};Appearance3D.prototype.setCullFace=function(a){var b=this.cullFace;this.cullFace=a;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("CULL_FACE",b,a)}};Appearance3D.prototype.getCullFace=function(){return this.cullFace};Appearance3D.prototype.setBackFaceNormalFlip=function(b){var a=this.backFaceNormalFlip;this.backFaceNormalFlip=b;if(this.propertyChangeSupport!==undefined){this.propertyChangeSupport.firePropertyChange("BACK_FACE_NORMAL_FLIP",a,b)}};Appearance3D.prototype.getBackFaceNormalFlip=function(){return this.backFaceNormalFlip};Appearance3D.prototype.isBackFaceNormalFlip=function(){return this.backFaceNormalFlip===true};Appearance3D.prototype.clone=function(){var b=new Appearance3D(this.name);for(var a in this){if(this.hasOwnProperty(a)){b[a]=this[a]}}return b};function IndexedGeometryArray3D(b,c,a,d){this.vertices=b;this.vertexIndices=c;this.textureCoordinates=a;this.textureCoordinateIndices=d;this.textureCoordinatesDefined=this.textureCoordinateIndices&&this.textureCoordinateIndices.length>0}IndexedGeometryArray3D.prototype.hasTextureCoordinates=function(){return this.textureCoordinatesDefined};IndexedGeometryArray3D.prototype.disposeCoordinates=function(){delete this.vertices;delete this.vertexIndices;delete this.textureCoordinates;delete this.textureCoordinateIndices};function IndexedLineArray3D(b,c,a,d){IndexedGeometryArray3D.call(this,b,c,a,d)}IndexedLineArray3D.prototype=Object.create(IndexedGeometryArray3D.prototype);IndexedLineArray3D.prototype.constructor=IndexedLineArray3D;function IndexedTriangleArray3D(c,d,a,f,e,b){IndexedGeometryArray3D.call(this,c,d,a,f);this.normals=e;this.normalIndices=b}IndexedTriangleArray3D.prototype=Object.create(IndexedGeometryArray3D.prototype);IndexedTriangleArray3D.prototype.constructor=IndexedTriangleArray3D;IndexedTriangleArray3D.prototype.disposeCoordinates=function(){IndexedGeometryArray3D.prototype.disposeCoordinates.call(this);delete this.normals;delete this.normalIndices};function BoundingBox3D(a,b){this.lower=a!==undefined?vec3.clone(a):vec3.fromValues(-1,-1,-1);this.upper=b!==undefined?vec3.clone(b):vec3.fromValues(1,1,1)}BoundingBox3D.prototype.getLower=function(a){vec3.copy(a,this.lower)};BoundingBox3D.prototype.getUpper=function(a){vec3.copy(a,this.upper)};BoundingBox3D.prototype.combine=function(b){if(b instanceof BoundingBox3D){if(this.lower[0]>b.lower[0]){this.lower[0]=b.lower[0]}if(this.lower[1]>b.lower[1]){this.lower[1]=b.lower[1]}if(this.lower[2]>b.lower[2]){this.lower[2]=b.lower[2]}if(this.upper[0]<b.upper[0]){this.upper[0]=b.upper[0]}if(this.upper[1]<b.upper[1]){this.upper[1]=b.upper[1]}if(this.upper[2]<b.upper[2]){this.upper[2]=b.upper[2]}}else{var a=b;if(this.lower[0]>a[0]){this.lower[0]=a[0]}if(this.lower[1]>a[1]){this.lower[1]=a[1]}if(this.lower[2]>a[2]){this.lower[2]=a[2]}if(this.upper[0]<a[0]){this.upper[0]=a[0]}if(this.upper[1]<a[1]){this.upper[1]=a[1]}if(this.upper[2]<a[2]){this.upper[2]=a[2]}}};BoundingBox3D.prototype.transform=function(g){var f=this.upper[0];var e=this.upper[1];var d=this.upper[2];var c=this.lower[0];var a=this.lower[1];var h=this.lower[2];var b=vec3.fromValues(f,e,d);vec3.transformMat4(b,b,g);this.upper[0]=b[0];this.upper[1]=b[1];this.upper[2]=b[2];this.lower[0]=b[0];this.lower[1]=b[1];this.lower[2]=b[2];vec3.set(b,c,e,d);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}vec3.set(b,c,a,d);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}vec3.set(b,f,a,d);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}vec3.set(b,c,e,h);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}vec3.set(b,f,e,h);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}vec3.set(b,c,a,h);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}vec3.set(b,f,a,h);vec3.transformMat4(b,b,g);if(b[0]>this.upper[0]){this.upper[0]=b[0]}if(b[1]>this.upper[1]){this.upper[1]=b[1]}if(b[2]>this.upper[2]){this.upper[2]=b[2]}if(b[0]<this.lower[0]){this.lower[0]=b[0]}if(b[1]<this.lower[1]){this.lower[1]=b[1]}if(b[2]<this.lower[2]){this.lower[2]=b[2]}};BoundingBox3D.prototype.clone=function(){return new BoundingBox3D(this.lower,this.upper)};function Box3D(a,d,c,b){Shape3D.call(this,new IndexedTriangleArray3D([vec3.fromValues(-a,-d,-c),vec3.fromValues(a,-d,-c),vec3.fromValues(a,-d,c),vec3.fromValues(-a,-d,c),vec3.fromValues(-a,d,-c),vec3.fromValues(-a,d,c),vec3.fromValues(a,d,c),vec3.fromValues(a,d,-c)],[0,1,2,0,2,3,4,5,6,4,6,7,0,3,5,0,5,4,1,7,6,1,6,2,0,4,7,0,7,1,2,6,5,2,5,3],[vec2.fromValues(0,0),vec2.fromValues(1,0),vec2.fromValues(1,1),vec2.fromValues(0,1)],[0,1,2,0,2,3,3,0,1,3,1,2,0,1,2,0,2,3,1,2,3,1,3,0,1,2,3,1,3,0,1,2,3,1,3,0],[vec3.fromValues(0,-1,0),vec3.fromValues(0,1,0),vec3.fromValues(-1,0,0),vec3.fromValues(1,0,0),vec3.fromValues(0,0,-1),vec3.fromValues(0,0,1)],[0,0,0,0,0,0,1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,3,3,4,4,4,4,4,4,5,5,5,5,5,5]),b);this.bounds=new BoundingBox3D(vec3.fromValues(-a,-d,-c),vec3.fromValues(a,d,c))}Box3D.prototype=Object.create(Shape3D.prototype);Box3D.prototype.constructor=Box3D;function HTMLCanvas3D(c){this.scene=null;this.textures=[];this.displayedGeometries=[];this.lights=[];this.fieldOfView=Math.PI*45/180;this.frontClipDistance=0.1;this.backClipDistance=100;this.canvas=document.getElementById(c);this.gl=this.canvas.getContext("webgl");if(!this.gl){this.gl=this.canvas.getContext("experimental-webgl");if(!this.gl){throw"No WebGL"}}this.updateViewportSize();this.shaderProgram=this.gl.createProgram();var b=this.createShader(this.gl.VERTEX_SHADER,"attribute vec3 vertexPosition;attribute vec3 vertexNormal;attribute vec2 vertexTextureCoord;uniform mat4 modelViewMatrix;uniform mat4 projectionMatrix;uniform bool textureCoordinatesGenerated;uniform vec4 planeS;uniform vec4 planeT;uniform mat3 textureCoordMatrix;uniform mat3 normalMatrix;uniform bool backFaceNormalFlip;uniform bool lightingEnabled;uniform bool useTextures;varying vec2 varTextureCoord;varying vec4 varVertexPosition;varying vec3 varTransformedNormal;void main(void) {  varVertexPosition = modelViewMatrix * vec4(vertexPosition, 1.0);  gl_Position = projectionMatrix * varVertexPosition;  if (useTextures) {    if (textureCoordinatesGenerated) {      varTextureCoord = vec2(vertexPosition.x * planeS.x + vertexPosition.y * planeS.y          + vertexPosition.z * planeS.z + planeS.w,            vertexPosition.x * planeT.x + vertexPosition.y * planeT.y          + vertexPosition.z * planeT.z + planeT.w);    } else {      varTextureCoord = vec2(vertexTextureCoord);    }    varTextureCoord = vec2(textureCoordMatrix * vec3(varTextureCoord, 1));  }  if (lightingEnabled) {    vec3 normal = vertexNormal;    if (backFaceNormalFlip) {      normal = -normal;    }    varTransformedNormal = normalize(normalMatrix * normal);  }}");this.gl.attachShader(this.shaderProgram,b);var a=this.createShader(this.gl.FRAGMENT_SHADER,"precision mediump float;uniform vec3  vertexDiffuseColor;uniform vec3  vertexSpecularColor;uniform float shininess;uniform sampler2D sampler;uniform float alpha;uniform bool  useTextures;uniform bool  lightingEnabled;uniform vec3  ambientColor;uniform int   directionalLightCount;uniform vec3  lightDirections["+HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT+"];uniform vec3  directionalLightColors["+HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT+"];varying vec2  varTextureCoord;varying vec4  varVertexPosition;varying vec3  varTransformedNormal;void main(void) {  vec3 lightWeight;  if (lightingEnabled) {    lightWeight = ambientColor;    if (directionalLightCount > 0) {      vec3 diffuseLightWeight = vec3(0., 0., 0.);      vec3 specularLightWeight = vec3(0., 0., 0.);      vec3 eyeDirection = vec3(0., 0., 0.);      bool computeSpecularLightWeight = false;      if (vertexSpecularColor.r > 0.          && vertexSpecularColor.g > 0.          && vertexSpecularColor.b > 0.) {        eyeDirection = normalize(-varVertexPosition.xyz);        computeSpecularLightWeight = length(eyeDirection) <= 1.0001;      }      for (int i = 0; i < "+HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT+"; i++) {        if (i >= directionalLightCount) {          break;        }        float directionalLightWeight = max(dot(varTransformedNormal, lightDirections[i]), 0.);        diffuseLightWeight += directionalLightColors[i] * directionalLightWeight;        if (computeSpecularLightWeight) {          vec3 reflectionDirection = reflect(-lightDirections[i], varTransformedNormal);          specularLightWeight += directionalLightColors[i] * pow(max(dot(reflectionDirection, eyeDirection), 0.), shininess);        }      }      lightWeight += vertexDiffuseColor * diffuseLightWeight;      if (computeSpecularLightWeight) {        lightWeight += vertexSpecularColor * specularLightWeight;      }    }  } else {    lightWeight = vertexDiffuseColor;  }  vec4 fragmentColor;  if (useTextures) {    fragmentColor = texture2D(sampler, vec2(varTextureCoord.s, varTextureCoord.t));  } else {    fragmentColor = vec4(1., 1., 1., 1.);  }  gl_FragColor = vec4(fragmentColor.rgb * lightWeight * alpha, fragmentColor.a * alpha);}");this.gl.attachShader(this.shaderProgram,a);this.gl.linkProgram(this.shaderProgram);this.shaderProgram.projectionMatrix=this.gl.getUniformLocation(this.shaderProgram,"projectionMatrix");this.shaderProgram.modelViewMatrix=this.gl.getUniformLocation(this.shaderProgram,"modelViewMatrix");this.shaderProgram.textureCoordinatesGenerated=this.gl.getUniformLocation(this.shaderProgram,"textureCoordinatesGenerated");this.shaderProgram.planeS=this.gl.getUniformLocation(this.shaderProgram,"planeS");this.shaderProgram.planeT=this.gl.getUniformLocation(this.shaderProgram,"planeT");this.shaderProgram.textureCoordMatrix=this.gl.getUniformLocation(this.shaderProgram,"textureCoordMatrix");this.shaderProgram.normalMatrix=this.gl.getUniformLocation(this.shaderProgram,"normalMatrix");this.shaderProgram.backFaceNormalFlip=this.gl.getUniformLocation(this.shaderProgram,"backFaceNormalFlip");this.shaderProgram.ambientColor=this.gl.getUniformLocation(this.shaderProgram,"ambientColor");this.shaderProgram.lightingEnabled=this.gl.getUniformLocation(this.shaderProgram,"lightingEnabled");this.shaderProgram.directionalLightCount=this.gl.getUniformLocation(this.shaderProgram,"directionalLightCount");this.shaderProgram.lightDirections=this.gl.getUniformLocation(this.shaderProgram,"lightDirections");this.shaderProgram.directionalLightColors=this.gl.getUniformLocation(this.shaderProgram,"directionalLightColors");this.shaderProgram.vertexDiffuseColor=this.gl.getUniformLocation(this.shaderProgram,"vertexDiffuseColor");this.shaderProgram.vertexSpecularColor=this.gl.getUniformLocation(this.shaderProgram,"vertexSpecularColor");this.shaderProgram.shininess=this.gl.getUniformLocation(this.shaderProgram,"shininess");this.shaderProgram.samplerUniform=this.gl.getUniformLocation(this.shaderProgram,"sampler");this.shaderProgram.alpha=this.gl.getUniformLocation(this.shaderProgram,"alpha");this.shaderProgram.useTextures=this.gl.getUniformLocation(this.shaderProgram,"useTextures");this.gl.useProgram(this.shaderProgram);this.viewPlatformTransform=mat4.create();mat4.translate(this.viewPlatformTransform,this.viewPlatformTransform,[0,0,-2.4]);this.canvasNeededRepaint=false;this.pickingFrameBufferNeededRepaint=true}HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT=16;HTMLCanvas3D.prototype.createShader=function(a,c){var b=this.gl.createShader(a);this.gl.shaderSource(b,c);this.gl.compileShader(b);if(!this.gl.getShaderParameter(b,this.gl.COMPILE_STATUS)){throw"Invalid shader: "+c}return b};HTMLCanvas3D.prototype.getCanvas=function(){return this.canvas};HTMLCanvas3D.prototype.setFieldOfView=function(a){if(this.fieldOfView!=a){this.fieldOfView=a;this.repaint()}};HTMLCanvas3D.prototype.setFrontClipDistance=function(a){if(this.frontClipDistance!=a){this.frontClipDistance=a;this.repaint()}};HTMLCanvas3D.prototype.setBackClipDistance=function(a){if(this.backClipDistance!=a){this.backClipDistance=a;this.repaint()}};HTMLCanvas3D.prototype.setViewPlatformTransform=function(a){if(this.viewPlatformTransform!=a){this.viewPlatformTransform=a;this.repaint()}};HTMLCanvas3D.prototype.updateViewportSize=function(){var a=this.canvas.getBoundingClientRect();if(this.viewportWidth!=a.width||this.viewportHeight!=a.height){this.viewportWidth=a.width;this.viewportHeight=a.height;if(this.pickingFrameBuffer!==undefined){this.gl.deleteFramebuffer(this.pickingFrameBuffer);delete this.pickingFrameBuffer}this.repaint()}};HTMLCanvas3D.prototype.setScene=function(f,c){var d=[];var b=[];var a=this.countDisplayedGeometries(f);this.prepareScene(f,d,false,b,mat4.create(),c,a);this.scene=f;var e=this;setTimeout(function(){if(c!==undefined){c(Node3D.BINDING_MODEL,"",1)}e.displayedGeometries=d;e.lights=b;e.drawScene()},0)};HTMLCanvas3D.prototype.getScene=function(){return this.scene};HTMLCanvas3D.prototype.countDisplayedGeometries=function(d){if(d instanceof Group3D){var a=0;var c=d.getChildren();for(var b=0;b<c.length;b++){a+=this.countDisplayedGeometries(c[b])}return a}else{if(d instanceof Shape3D){return d.getGeometries().length}else{return 0}}};HTMLCanvas3D.prototype.prepareScene=function(m,v,r,w,t,l,u){var y=this;if(m instanceof Group3D){if(m instanceof TransformGroup3D){var p=mat4.create();m.getTransform(p);t=mat4.mul(mat4.create(),t,p);if(m.getCapability(TransformGroup3D.ALLOW_TRANSFORM_WRITE)){m.addPropertyChangeListener("TRANSFORM",function(A){var B=mat4.invert(mat4.create(),A.getOldValue());mat4.mul(t,t,B);mat4.mul(t,t,A.getNewValue());var z=m.getChildren();for(var j=0;j<z.length;j++){y.updateChildrenTransformation(z[j],v,w,t)}y.repaint()})}}var c=m.getChildren();for(var q=0;q<c.length;q++){this.prepareScene(c[q],v,r,w,t,l,u)}if(m.getCapability(Group3D.ALLOW_CHILDREN_EXTEND)){m.addChildrenListener(function(i){if(i.getType()===CollectionEvent.Type.ADD){y.prepareScene(i.getItem(),v,r,w,t)}else{if(i.getType()===CollectionEvent.Type.DELETE){y.removeDisplayedItems(i.getItem(),v,w)}}y.repaint()})}}else{if(m instanceof Shape3D){if(l!==undefined&&Math.floor((v.length-1)/u*10)<Math.floor(v.length/u*10)){l(Node3D.BINDING_MODEL,"",v.length/u)}var x=m.getAppearance();if(x!==undefined){var k=null;if(x.getTextureImage()){k=y.prepareTexture(x.getTextureImage())}var d=x.getAmbientColor();var h;if(x.getDiffuseColor()!==undefined){h=x.getDiffuseColor()}else{h=new Float32Array([1,1,1])}var f=x.getSpecularColor();var n=x.getShininess();var g=m.getGeometries();for(var q=0;q<g.length;q++){var e=g[q];var s=null;for(var o=0;o<v.length;o++){if(v[o].nodeGeometry===e){s={node:m,background:r,nodeGeometry:e,vertexCount:v[o].vertexCount,vertexBuffer:v[o].vertexBuffer,textureCoordinatesBuffer:v[o].textureCoordinatesBuffer,normalBuffer:v[o].normalBuffer,mode:v[o].mode};break}}if(s===null){s={node:m,background:r,nodeGeometry:e,vertexCount:e.vertexIndices.length};s.vertexBuffer=y.prepareBuffer(e.vertices,e.vertexIndices);s.textureCoordinatesBuffer=y.prepareBuffer(e.textureCoordinates,e.textureCoordinateIndices);if(e instanceof IndexedTriangleArray3D){s.mode=y.gl.TRIANGLES;s.normalBuffer=y.prepareBuffer(e.normals,e.normalIndices)}else{s.mode=y.gl.LINES}}s.transformation=t;if(d!==undefined){s.ambientColor=d}if(h!==undefined){s.diffuseColor=h}if(f!==undefined){s.specularColor=f}if(n!==undefined){s.shininess=n}if(k!==null){s.textureCoordinatesGeneration=x.getTextureCoordinatesGeneration();s.textureTransform=x.getTextureTransform();s.texture=k}s.backFaceNormalFlip=x.isBackFaceNormalFlip();if(x.getCullFace()!==undefined){s.cullFace=x.getCullFace()}var a=x.getIllumination();s.lightingEnabled=(a===undefined||a>=1)&&s.normalBuffer!==null;s.transparency=x.getTransparency()!==undefined?1-x.getTransparency():1;s.visible=x.isVisible();v.push(s)}x.addPropertyChangeListener(function(A){for(var z=0;z<v.length;z++){var C=v[z];if(v[z].node===m){var B=A.getNewValue();switch(A.getPropertyName()){case"AMBIENT_COLOR":C.ambientColor=B;break;case"DIFFUSE_COLOR":C.diffuseColor=B;break;case"SPECULAR_COLOR":C.specularColor=B;break;case"SHININESS":C.shininess=B;break;case"TRANSPARENCY":C.transparency=B!==undefined?1-B:1;break;case"ILLUMINATION":C.lightingEnabled=(B===undefined||B>=1)&&C.mode===y.gl.TRIANGLES;break;case"TEXTURE_IMAGE":C.texture=B!==null?y.prepareTexture(B):undefined;break;case"TEXTURE_COORDINATES_GENERATION":var j=B;C.textureCoordinatesGeneration=j;break;case"TEXTURE_TRANSFORM":C.textureTransform=B;break;case"VISIBLE":C.visible=B!==false;break;case"CULL_FACE":C.cullFace=B;break;case"BACK_FACE_NORMAL_FLIP":C.backFaceNormalFlip=B===true;break}}}y.repaint()})}}else{if(m instanceof Background3D){this.prepareScene(m.getGeometry(),v,true,w,t)}else{if(m instanceof Light3D){var b={node:m,color:m.getColor()};if(m instanceof DirectionalLight3D){b.direction=m.getDirection();b.transformation=t}w.push(b);m.addPropertyChangeListener(function(A){for(var z=0;z<w.length;z++){var j=w[z];if(w[z].node===m){var B=A.getNewValue();switch(A.getPropertyName()){case"COLOR":j.color=B;break}}}y.repaint()})}}}}};HTMLCanvas3D.prototype.updateChildrenTransformation=function(f,e,a,d){var g=this;if(f instanceof Group3D){if(f instanceof TransformGroup3D){var h=mat4.create();f.getTransform(h);d=mat4.mul(mat4.create(),d,h)}var c=f.getChildren();for(var b=0;b<c.length;b++){this.updateChildrenTransformation(c[b],e,a,d)}}else{if(f instanceof Shape3D){for(var b=0;b<e.length;b++){if(e[b].node===f){e[b].transformation=d}}}else{if(f instanceof Light3D){for(var b=0;b<a.length;b++){if(a[b].node===f){a[b].transformation=d}}}}}};HTMLCanvas3D.prototype.removeDisplayedItems=function(e,d,a){var f=this;if(e instanceof Group3D){var c=e.getChildren();for(var b=0;b<c.length;b++){this.removeDisplayedItems(c[b],d,a)}}else{if(e instanceof Shape3D){for(var b=0;b<d.length;b++){if(d[b].node===e){d.splice(b,1)}}}else{if(e instanceof Light3D){for(var b=0;b<a.length;b++){if(a[b].node===e){a.splice(b,1)}}}}}};HTMLCanvas3D.prototype.prepareTexture=function(a){for(var b=0;b<this.textures.length;b++){if(this.textures[b].image.url==a.url){return this.textures[b]}}var c=this.gl.createTexture();c.image=a;if(a.width!=0){this.bindTexture(c)}else{var d=this;var e=function(){a.removeEventListener("load",e);d.bindTexture(c);d.repaint()};a.addEventListener("load",e)}this.textures.push(c);return c};HTMLCanvas3D.resizeTransparentTextures=true;HTMLCanvas3D.prototype.bindTexture=function(c){this.gl.bindTexture(this.gl.TEXTURE_2D,c);this.gl.pixelStorei(this.gl.UNPACK_FLIP_Y_WEBGL,true);if((!this.isPowerOfTwo(c.image.width)||!this.isPowerOfTwo(c.image.height))&&(!c.image.transparent||HTMLCanvas3D.resizeTransparentTextures)){var a=document.createElement("canvas");a.width=this.getNextHighestPowerOfTwo(c.image.width);a.height=this.getNextHighestPowerOfTwo(c.image.height);var b=a.getContext("2d");b.drawImage(c.image,0,0,c.image.width,c.image.height,0,0,a.width,a.height);a.transparent=c.image.transparent;c.image=a}this.gl.texImage2D(this.gl.TEXTURE_2D,0,this.gl.RGBA,this.gl.RGBA,this.gl.UNSIGNED_BYTE,c.image);this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_MAG_FILTER,this.gl.LINEAR);if(this.isPowerOfTwo(c.image.width)&&this.isPowerOfTwo(c.image.height)){this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_MIN_FILTER,this.gl.LINEAR_MIPMAP_NEAREST);this.gl.generateMipmap(this.gl.TEXTURE_2D)}else{this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_MIN_FILTER,this.gl.LINEAR);this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_WRAP_S,this.gl.CLAMP_TO_EDGE);this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_WRAP_T,this.gl.CLAMP_TO_EDGE)}this.gl.bindTexture(this.gl.TEXTURE_2D,null);delete c.image.src};HTMLCanvas3D.prototype.isPowerOfTwo=function(a){return(a&(a-1))==0};HTMLCanvas3D.prototype.getNextHighestPowerOfTwo=function(a){--a;for(var b=1;b<32;b<<=1){a=a|a>>b}return(a+1)};HTMLCanvas3D.prototype.prepareBuffer=function(e,g){if(g.length>0&&e.length>0){var b=this.gl.createBuffer();this.gl.bindBuffer(this.gl.ARRAY_BUFFER,b);var f=e[0].length;var a=new Float32Array(g.length*f);for(var d=0,c=0;d<g.length;d++,c+=f){a.set(e[g[d]],c)}this.gl.bufferData(this.gl.ARRAY_BUFFER,a,this.gl.STATIC_DRAW);return b}else{return null}};HTMLCanvas3D.prototype.drawScene=function(){this.gl.viewport(0,0,this.viewportWidth,this.viewportHeight);this.gl.clearColor(0.9,0.9,0.9,1);this.gl.clear(this.gl.COLOR_BUFFER_BIT|this.gl.DEPTH_BUFFER_BIT);var m=vec3.create();var a=0;var l=[];var b=[];var d=mat4.invert(mat4.create(),this.viewPlatformTransform);var e=mat4.create();for(var j=0;j<this.lights.length;j++){var h=this.lights[j];if(h.direction!==undefined){var o=vec3.transformMat3(vec3.create(),h.direction,mat3.fromMat4(mat3.create(),mat4.mul(e,d,h.transformation)));vec3.normalize(o,o);vec3.negate(o,o);l.push.apply(l,h.color);b.push.apply(b,o);a++}else{vec3.add(m,m,h.color)}}this.gl.uniform1i(this.shaderProgram.directionalLightCount,a);if(a<HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT){l.push.apply(l,new Array((HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT-a)*3));b.push.apply(b,new Array((HTMLCanvas3D.MAX_DIRECTIONAL_LIGHT-a)*3))}this.gl.uniform3fv(this.shaderProgram.directionalLightColors,l);this.gl.uniform3fv(this.shaderProgram.lightDirections,b);var f=2*Math.atan(this.viewportHeight/this.viewportWidth*Math.tan(this.fieldOfView/2));var k=mat4.create();mat4.perspective(k,f,this.viewportWidth/this.viewportHeight,0.001,1);this.gl.uniformMatrix4fv(this.shaderProgram.projectionMatrix,false,k);var n=mat4.clone(this.viewPlatformTransform);n[12]=0;n[13]=0;n[14]=0;for(var j=0;j<this.displayedGeometries.length;j++){var g=this.displayedGeometries[j];if(g.background){this.drawGeometry(g,n,m,g.lightingEnabled,true,true)}}this.gl.clear(this.gl.DEPTH_BUFFER_BIT);mat4.perspective(k,f,this.viewportWidth/this.viewportHeight,this.frontClipDistance,this.backClipDistance);this.gl.uniformMatrix4fv(this.shaderProgram.projectionMatrix,false,k);this.gl.enable(this.gl.DEPTH_TEST);for(var j=0;j<this.displayedGeometries.length;j++){var g=this.displayedGeometries[j];if(!g.background&&!this.isTextureTransparent(g)&&!this.isGeometryTransparent(g)){this.drawGeometry(g,this.viewPlatformTransform,m,g.lightingEnabled,true,true)}}this.gl.enable(this.gl.BLEND);this.gl.blendFunc(this.gl.SRC_ALPHA,this.gl.ONE_MINUS_SRC_ALPHA);for(var j=0;j<this.displayedGeometries.length;j++){var g=this.displayedGeometries[j];if(!g.background&&this.isTextureTransparent(g)){this.drawGeometry(g,this.viewPlatformTransform,m,g.lightingEnabled,true,true)}}for(var j=0;j<this.displayedGeometries.length;j++){var g=this.displayedGeometries[j];if(!g.background&&!this.isTextureTransparent(g)&&this.isGeometryTransparent(g)){this.drawGeometry(g,this.viewPlatformTransform,m,g.lightingEnabled,true,true)}}var c=Date.now();if(Math.floor(c/1000)>Math.floor(this.lastDrawSceneTime/1000)){this.framesPerSecond=Math.round(this.drawnFrameCount/(c-this.previousFramesPerSecondTime)*10000)/10;this.previousFramesPerSecondTime=c;this.drawnFrameCount=0}if(this.drawnFrameCount===undefined){this.previousFramesPerSecondTime=c;this.drawnFrameCount=0}this.drawnFrameCount++;this.lastDrawSceneTime=c};HTMLCanvas3D.prototype.getFramesPerSecond=function(){return this.framesPerSecond};HTMLCanvas3D.prototype.isGeometryTransparent=function(a){return a.transparency<1};HTMLCanvas3D.prototype.isTextureTransparent=function(a){return a.texture!==undefined&&a.texture.image.transparent};HTMLCanvas3D.prototype.drawGeometry=function(d,h,i,j,g,f){if(d.visible&&(d.transparency===undefined||d.transparency>0)){if(d.cullFace!==undefined){if(d.cullFace===Appearance3D.CULL_NONE){this.gl.disable(this.gl.CULL_FACE)}else{this.gl.enable(this.gl.CULL_FACE);this.gl.cullFace(d.cullFace===Appearance3D.CULL_BACK?this.gl.BACK:this.gl.FRONT)}}else{this.gl.enable(this.gl.CULL_FACE);this.gl.cullFace(this.gl.BACK)}var c=mat4.invert(mat4.create(),h);this.gl.uniformMatrix4fv(this.shaderProgram.modelViewMatrix,false,mat4.mul(c,c,d.transformation));this.gl.uniform1i(this.shaderProgram.lightingEnabled,j);if(j){var b=vec3.create();if(d.ambientColor!==undefined&&d.texture===undefined){vec3.multiply(b,d.ambientColor,i)}this.gl.uniform3fv(this.shaderProgram.ambientColor,b);if(!this.ignoreShininess&&d.specularColor!==undefined&&d.shininess!==undefined){this.gl.uniform3fv(this.shaderProgram.vertexSpecularColor,d.specularColor);this.gl.uniform1f(this.shaderProgram.shininess,d.shininess)}else{this.gl.uniform3fv(this.shaderProgram.vertexSpecularColor,vec3.create())}var a=mat3.fromMat4(mat3.create(),c);this.gl.uniformMatrix3fv(this.shaderProgram.normalMatrix,false,a);this.gl.uniform1i(this.shaderProgram.backFaceNormalFlip,d.backFaceNormalFlip)}var e=vec3.fromValues(1,1,1);if(g&&d.texture!==undefined){this.gl.activeTexture(this.gl.TEXTURE0);if(d.textureCoordinatesGeneration){this.gl.uniform1i(this.shaderProgram.textureCoordinatesGenerated,true);this.gl.uniform4fv(this.shaderProgram.planeS,d.textureCoordinatesGeneration.planeS);this.gl.uniform4fv(this.shaderProgram.planeT,d.textureCoordinatesGeneration.planeT)}else{if(d.textureCoordinatesBuffer===null){this.gl.uniform1i(this.shaderProgram.textureCoordinatesGenerated,true);this.gl.uniform4fv(this.shaderProgram.planeS,vec4.fromValues(1,0,0,0));this.gl.uniform4fv(this.shaderProgram.planeT,vec4.fromValues(0,1,0,0))}else{this.gl.uniform1i(this.shaderProgram.textureCoordinatesGenerated,false)}}this.gl.uniformMatrix3fv(this.shaderProgram.textureCoordMatrix,false,d.textureTransform!==undefined?d.textureTransform:mat3.create());this.gl.bindTexture(this.gl.TEXTURE_2D,d.texture);this.gl.uniform1i(this.shaderProgram.samplerUniform,0);this.gl.uniform1i(this.shaderProgram.useTextures,true)}else{this.gl.uniform1i(this.shaderProgram.textureCoordinatesGenerated,false);this.gl.uniform1i(this.shaderProgram.useTextures,false);if(d.diffuseColor!==undefined){e=d.diffuseColor}}this.gl.uniform3fv(this.shaderProgram.vertexDiffuseColor,e);this.shaderProgram.vertexPositionAttribute=this.gl.getAttribLocation(this.shaderProgram,"vertexPosition");this.gl.enableVertexAttribArray(this.shaderProgram.vertexPositionAttribute);this.gl.bindBuffer(this.gl.ARRAY_BUFFER,d.vertexBuffer);this.gl.vertexAttribPointer(this.shaderProgram.vertexPositionAttribute,3,this.gl.FLOAT,false,0,0);this.shaderProgram.normalAttribute=this.gl.getAttribLocation(this.shaderProgram,"vertexNormal");if(j&&d.mode===this.gl.TRIANGLES){this.gl.enableVertexAttribArray(this.shaderProgram.normalAttribute);this.gl.bindBuffer(this.gl.ARRAY_BUFFER,d.normalBuffer);this.gl.vertexAttribPointer(this.shaderProgram.normalAttribute,3,this.gl.FLOAT,false,0,0)}else{this.gl.disableVertexAttribArray(this.shaderProgram.normalAttribute)}this.shaderProgram.textureCoordAttribute=this.gl.getAttribLocation(this.shaderProgram,"vertexTextureCoord");if(g&&d.textureCoordinatesBuffer!==null&&d.texture!==undefined){this.gl.enableVertexAttribArray(this.shaderProgram.textureCoordAttribute);this.gl.bindBuffer(this.gl.ARRAY_BUFFER,d.textureCoordinatesBuffer);this.gl.vertexAttribPointer(this.shaderProgram.textureCoordAttribute,2,this.gl.FLOAT,false,0,0)}else{this.gl.disableVertexAttribArray(this.shaderProgram.textureCoordAttribute)}this.gl.uniform1f(this.shaderProgram.alpha,d.transparency&&f?d.transparency:1);this.gl.drawArrays(d.mode,0,d.vertexCount)}};HTMLCanvas3D.prototype.repaint=function(){if(!this.canvasNeededRepaint){this.canvasNeededRepaint=true;var a=this;requestAnimationFrame(function(){if(a.canvasNeededRepaint){a.drawScene();a.canvasNeededRepaint=false;a.pickingFrameBufferNeededRepaint=true}})}};HTMLCanvas3D.prototype.clear=function(){for(var a=0;a<this.textures.length;a++){delete this.textures[a].src;this.gl.deleteTexture(this.textures[a])}this.textures=[];for(var a=0;a<this.displayedGeometries.length;a++){var b=this.displayedGeometries[a];this.gl.deleteBuffer(b.vertexBuffer);if(b.textureCoordinatesBuffer!==null&&b.texture!==undefined){this.gl.deleteBuffer(b.textureCoordinatesBuffer)}if(b.normalBuffer!==undefined){this.gl.deleteBuffer(b.normalBuffer)}}this.displayedGeometries=[];this.lights=[];if(this.pickingFrameBuffer!==undefined){this.gl.deleteFramebuffer(this.pickingFrameBuffer);delete this.pickingFrameBuffer}this.repaint()};HTMLCanvas3D.prototype.setIgnoreShininess=function(a){this.ignoreShininess=a;this.repaint()};HTMLCanvas3D.prototype.getClosestShapeAt=function(m,l){if(this.pickingFrameBuffer===undefined){this.pickingFrameBuffer=this.gl.createFramebuffer();this.gl.bindFramebuffer(this.gl.FRAMEBUFFER,this.pickingFrameBuffer);this.pickingFrameBuffer.width=this.isPowerOfTwo(this.canvas.width)?this.canvas.width:this.getNextHighestPowerOfTwo(this.canvas.width)/2;this.pickingFrameBuffer.height=this.isPowerOfTwo(this.canvas.height)?this.canvas.height:this.getNextHighestPowerOfTwo(this.canvas.height)/2;this.pickingFrameBuffer.colorMap=new Uint8Array(this.pickingFrameBuffer.width*this.pickingFrameBuffer.height*4);var c=this.gl.createTexture();this.gl.bindTexture(this.gl.TEXTURE_2D,c);this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_MAG_FILTER,this.gl.NEAREST);this.gl.texParameteri(this.gl.TEXTURE_2D,this.gl.TEXTURE_MIN_FILTER,this.gl.NEAREST);this.gl.texImage2D(this.gl.TEXTURE_2D,0,this.gl.RGBA,this.pickingFrameBuffer.width,this.pickingFrameBuffer.height,0,this.gl.RGBA,this.gl.UNSIGNED_BYTE,null);var e=this.gl.createRenderbuffer();this.gl.bindRenderbuffer(this.gl.RENDERBUFFER,e);this.gl.framebufferTexture2D(this.gl.FRAMEBUFFER,this.gl.COLOR_ATTACHMENT0,this.gl.TEXTURE_2D,c,0);this.gl.renderbufferStorage(this.gl.RENDERBUFFER,this.gl.DEPTH_COMPONENT16,this.pickingFrameBuffer.width,this.pickingFrameBuffer.height);this.gl.framebufferRenderbuffer(this.gl.FRAMEBUFFER,this.gl.DEPTH_ATTACHMENT,this.gl.RENDERBUFFER,e)}if(this.pickingFrameBufferNeededRepaint){this.gl.bindFramebuffer(this.gl.FRAMEBUFFER,this.pickingFrameBuffer);this.gl.viewport(0,0,this.pickingFrameBuffer.width,this.pickingFrameBuffer.height);this.gl.clearColor(1,1,1,1);this.gl.clear(this.gl.COLOR_BUFFER_BIT|this.gl.DEPTH_BUFFER_BIT);var j=mat4.create();var f=2*Math.atan(this.canvas.height/this.canvas.width*Math.tan(this.fieldOfView/2));mat4.perspective(j,f,this.canvas.width/this.canvas.height,this.frontClipDistance,this.backClipDistance);this.gl.uniformMatrix4fv(this.shaderProgram.projectionMatrix,false,j);this.gl.enable(this.gl.DEPTH_TEST);for(var h=0;h<this.displayedGeometries.length;h++){var g=this.displayedGeometries[h];if(!g.background&&g.node.isPickable()){var d=g.diffuseColor;g.diffuseColor=vec3.fromValues(((h>>>16)&255)/255,((h>>>8)&255)/255,(h&255)/255);this.drawGeometry(g,this.viewPlatformTransform,null,false,false,false);g.diffuseColor=d}}this.gl.readPixels(0,0,this.pickingFrameBuffer.width,this.pickingFrameBuffer.height,this.gl.RGBA,this.gl.UNSIGNED_BYTE,this.pickingFrameBuffer.colorMap);this.gl.bindFramebuffer(this.gl.FRAMEBUFFER,null);this.pickingFrameBufferNeededRepaint=false}var k=this.canvas.getBoundingClientRect();if(m>=k.left&&l>=k.top&&m<k.right&&l<k.bottom){m-=k.left;l-=k.top;var b=(this.pickingFrameBuffer.height-1-Math.floor(l/k.height*this.pickingFrameBuffer.height))*this.pickingFrameBuffer.width+Math.floor(m/k.width*this.pickingFrameBuffer.width);b*=4;var a=this.pickingFrameBuffer.colorMap[b]*65536+this.pickingFrameBuffer.colorMap[b+1]*256+this.pickingFrameBuffer.colorMap[b+2];if(a!=16777215){return this.displayedGeometries[a].node}}return null};function URLContent(a){this.url=a}URLContent.prototype.getURL=function(){return this.url};URLContent.prototype.isJAREntry=function(){return this.url.indexOf("jar:")===0&&this.url.indexOf("!")!==-1};URLContent.prototype.getJAREntryURL=function(){if(!this.isJAREntry()){throw new IllegalStateException("Content isn't a JAR entry")}return this.url.substring("jar:".length,this.url.indexOf("!"))};URLContent.prototype.getJAREntryName=function(){if(!this.isJAREntry()){throw new IllegalStateException("Content isn't a JAR entry")}return this.url.substring(this.url.indexOf("!")+2)};URLContent.prototype.equals=function(b){if(b===this){return true}else{if(b instanceof URLContent){var a=b;return a.url==this.url}else{return false}}};var ZIPTools={};ZIPTools.READING="Reading";ZIPTools.openedZips={};ZIPTools.runningRequests=[];ZIPTools.getZIP=function(c,b,a){if(a===undefined){a=b;b=false}if(c in ZIPTools.openedZips){a.zipReady(ZIPTools.openedZips[c])}else{try{var e=new XMLHttpRequest();e.open("GET",c,!b);e.responseType="arraybuffer";e.overrideMimeType("application/octet-stream");e.addEventListener("readystatechange",function(i){if(e.readyState===XMLHttpRequest.DONE){if((e.status===200||e.status===0)&&e.response!=null){try{ZIPTools.runningRequests.splice(ZIPTools.runningRequests.indexOf(e),1);var h=new JSZip(e.response);ZIPTools.openedZips[c]=h;a.zipReady(ZIPTools.openedZips[c])}catch(g){a.zipError(g)}}else{var f=ZIPTools.runningRequests.indexOf(e);if(f>=0){ZIPTools.runningRequests.splice(f,1);a.zipError(new Error(e.status+" while requesting "+c))}}}});e.addEventListener("progress",function(f){if(f.lengthComputable&&a.progression!==undefined){a.progression(ZIPTools.READING,c,f.loaded/f.total)}});e.send();ZIPTools.runningRequests.push(e)}catch(d){a.zipError(d)}}};ZIPTools.clear=function(){ZIPTools.openedZips={};while(ZIPTools.runningRequests.length>0){var a=ZIPTools.runningRequests[ZIPTools.runningRequests.length-1];ZIPTools.runningRequests.splice(ZIPTools.runningRequests.length-1,1);a.abort()}};ZIPTools.disposeZIP=function(a){delete ZIPTools.openedZips[a]};ZIPTools.isTranparentImage=function(a){return a.charAt(0).charCodeAt(0)===137&&a.charAt(1).charCodeAt(0)===80&&a.charAt(2).charCodeAt(0)===78&&a.charAt(3).charCodeAt(0)===71&&a.charAt(4).charCodeAt(0)===13&&a.charAt(5).charCodeAt(0)===10&&a.charAt(6).charCodeAt(0)===26&&a.charAt(7).charCodeAt(0)===10&&(a.charAt(25).charCodeAt(0)===4||a.charAt(25).charCodeAt(0)===6||(a.indexOf("PLTE")!==-1&&a.indexOf("tRNS")!==-1))};ZIPTools.getScriptFolder=function(b){var d="http://www.sweethome3d.com/lib/";var a=document.getElementsByTagName("script");for(var c=0;c<a.length;c++){if(a[c].src.indexOf(b)!==-1){d=a[c].src.substring(0,a[c].src.lastIndexOf("/")+1);break}}return d};function CollectionEvent(d,c,a,b){this.source=d;this.item=c;this.index=a;this.type=b}CollectionEvent.Type={ADD:0,DELETE:1};CollectionEvent.prototype.getSource=function(){return this.source};CollectionEvent.prototype.getItem=function(){return this.item};CollectionEvent.prototype.getIndex=function(){return this.index};CollectionEvent.prototype.getType=function(){return this.type};function CollectionChangeSupport(a){this.source=a;this.collectionListeners=[]}CollectionChangeSupport.prototype.addCollectionListener=function(a){this.collectionListeners.push(a)};CollectionChangeSupport.prototype.removeCollectionListener=function(b){var a=this.collectionListeners.indexOf(b);if(a!==-1){this.collectionListeners.splice(a,1)}};CollectionChangeSupport.prototype.fireCollectionChanged=function(f,a,c){if(c===undefined){c=a;a=-1}if(this.collectionListeners.length>0){var e=new CollectionEvent(this.source,f,a,c);var d=this.collectionListeners.slice(0);for(var b=0;b<d.length;b++){d[b](e)}}};function OBJLoader(){this.parserBusy=false;this.waitingParsedOBJEntries=[];if(OBJLoader.defaultAppearances===null){OBJLoader.defaultAppearances={};OBJLoader.parseMaterial("newmtl amber\nKa 0.0531 0.0531 0.0531\nKd 0.5755 0.2678 0.0000\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl amber_trans\nKa 0.0531 0.0531 0.0531\nKd 0.5755 0.2678 0.0000\nKs 0.3000 0.3000 0.3000\nillum 2\nd 0.1600\nNs 60.0000\n\nnewmtl charcoal\nKa 0.0082 0.0082 0.0082\nKd 0.0041 0.0041 0.0041\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl lavendar\nKa 0.1281 0.0857 0.2122\nKd 0.2187 0.0906 0.3469\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl navy_blue\nKa 0.0000 0.0000 0.0490\nKd 0.0000 0.0000 0.0531\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl pale_green\nKa 0.0444 0.0898 0.0447\nKd 0.0712 0.3796 0.0490\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl pale_pink\nKa 0.0898 0.0444 0.0444\nKd 0.6531 0.2053 0.4160\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl pale_yellow\nKa 0.3606 0.3755 0.0935\nKd 0.6898 0.6211 0.1999\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl peach\nKa 0.3143 0.1187 0.0167\nKd 0.6367 0.1829 0.0156\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl periwinkle\nKa 0.0000 0.0000 0.1184\nKd 0.0000 0.0396 0.8286\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl redwood\nKa 0.0204 0.0027 0.0000\nKd 0.2571 0.0330 0.0000\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl smoked_glass\nKa 0.0000 0.0000 0.0000\nKd 0.0041 0.0041 0.0041\nKs 0.1878 0.1878 0.1878\nillum 2\nd 0.0200\nNs 91.4700\n\nnewmtl aqua_filter\nKa 0.0000 0.0000 0.0000\nKd 0.3743 0.6694 0.5791\nKs 0.1878 0.1878 0.1878\nillum 2\nd 0.0200\nNs 91.4700\n\nnewmtl yellow_green\nKa 0.0000 0.0000 0.0000\nKd 0.1875 0.4082 0.0017\nKs 0.1878 0.1878 0.1878\nillum 2\nNs 91.4700\n\nnewmtl bluetint\nKa 0.1100 0.4238 0.5388\nKd 0.0468 0.7115 0.9551\nKs 0.3184 0.3184 0.3184\nillum 9\nd 0.4300\nNs 60.0000\nsharpness 60.0000\n\nnewmtl plasma\nKa 0.4082 0.0816 0.2129\nKd 1.0000 0.0776 0.4478\nKs 0.3000 0.3000 0.3000\nillum 9\nd 0.2500\nNs 60.0000\nsharpness 60.0000\n\nnewmtl emerald\nKa 0.0470 1.0000 0.0000\nKd 0.0470 1.0000 0.0000\nKs 0.2000 0.2000 0.2000\nillum 9\nd 0.2500\nNs 60.0000\nsharpness 60.0000\n\nnewmtl ruby\nKa 1.0000 0.0000 0.0000\nKd 1.0000 0.0000 0.0000\nKs 0.2000 0.2000 0.2000\nillum 9\nd 0.2500\nNs 60.0000\nsharpness 60.0000\n\nnewmtl sapphire\nKa 0.0235 0.0000 1.0000\nKd 0.0235 0.0000 1.0000\nKs 0.2000 0.2000 0.2000\nillum 9\nd 0.2500\nNs 60.0000\nsharpness 60.0000\n\nnewmtl white\nKa 0.4000 0.4000 0.4000\nKd 1.0000 1.0000 1.0000\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl red\nKa 0.4449 0.0000 0.0000\nKd 0.7714 0.0000 0.0000\nKs 0.8857 0.0000 0.0000\nillum 2\nNs 136.4300\n\nnewmtl blue_pure\nKa 0.0000 0.0000 0.5000\nKd 0.0000 0.0000 1.0000\nKs 0.0000 0.0000 0.5000\nillum 2\nNs 65.8900\n\nnewmtl lime\nKa 0.0000 0.5000 0.0000\nKd 0.0000 1.0000 0.0000\nKs 0.0000 0.5000 0.0000\nillum 2\nNs 65.8900\n\nnewmtl green\nKa 0.0000 0.2500 0.0000\nKd 0.0000 0.2500 0.0000\nKs 0.0000 0.2500 0.0000\nillum 2\nNs 65.8900\n\nnewmtl yellow\nKa 1.0000 0.6667 0.0000\nKd 1.0000 0.6667 0.0000\nKs 1.0000 0.6667 0.0000\nillum 2\nNs 65.8900\n\nnewmtl purple\nKa 0.5000 0.0000 1.0000\nKd 0.5000 0.0000 1.0000\nKs 0.5000 0.0000 1.0000\nillum 2\nNs 65.8900\n\nnewmtl orange\nKa 1.0000 0.1667 0.0000\nKd 1.0000 0.1667 0.0000\nKs 1.0000 0.1667 0.0000\nillum 2\nNs 65.8900\n\nnewmtl grey\nKa 0.5000 0.5000 0.5000\nKd 0.1837 0.1837 0.1837\nKs 0.5000 0.5000 0.5000\nillum 2\nNs 65.8900\n\nnewmtl rubber\nKa 0.0000 0.0000 0.0000\nKd 0.0100 0.0100 0.0100\nKs 0.1000 0.1000 0.1000\nillum 2\nNs 65.8900\n\nnewmtl flaqua\nKa 0.0000 0.4000 0.4000\nKd 0.0000 0.5000 0.5000\nillum 1\n\nnewmtl flblack\nKa 0.0000 0.0000 0.0000\nKd 0.0041 0.0041 0.0041\nillum 1\n\nnewmtl flblue_pure\nKa 0.0000 0.0000 0.5592\nKd 0.0000 0.0000 0.7102\nillum 1\n\nnewmtl flgrey\nKa 0.2163 0.2163 0.2163\nKd 0.5000 0.5000 0.5000\nillum 1\n\nnewmtl fllime\nKa 0.0000 0.3673 0.0000\nKd 0.0000 1.0000 0.0000\nillum 1\n\nnewmtl florange\nKa 0.6857 0.1143 0.0000\nKd 1.0000 0.1667 0.0000\nillum 1\n\nnewmtl flpurple\nKa 0.2368 0.0000 0.4735\nKd 0.3755 0.0000 0.7510\nillum 1\n\nnewmtl flred\nKa 0.4000 0.0000 0.0000\nKd 1.0000 0.0000 0.0000\nillum 1\n\nnewmtl flyellow\nKa 0.7388 0.4925 0.0000\nKd 1.0000 0.6667 0.0000\nillum 1\n\nnewmtl pink\nKa 0.9469 0.0078 0.2845\nKd 0.9878 0.1695 0.6702\nKs 0.7429 0.2972 0.2972\nillum 2\nNs 106.2000\n\nnewmtl flbrown\nKa 0.0571 0.0066 0.0011\nKd 0.1102 0.0120 0.0013\nillum 1\n\nnewmtl brown\nKa 0.1020 0.0185 0.0013\nKd 0.0857 0.0147 0.0000\nKs 0.1633 0.0240 0.0000\nillum 2\nNs 65.8900\n\nnewmtl glass\nKa 1.0000 1.0000 1.0000\nKd 0.4873 0.4919 0.5306\nKs 0.6406 0.6939 0.9020\nillum 2\nNs 200.0000\n\nnewmtl flesh\nKa 0.4612 0.3638 0.2993\nKd 0.5265 0.4127 0.3374\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl aqua\nKa 0.0000 0.4000 0.4000\nKd 0.0000 0.5000 0.5000\nKs 0.5673 0.5673 0.5673\nillum 2\nNs 60.0000\n\nnewmtl black\nKa 0.0000 0.0000 0.0000\nKd 0.0020 0.0020 0.0020\nKs 0.5184 0.5184 0.5184\nillum 2\nNs 157.3600\n\nnewmtl silver\nKa 0.9551 0.9551 0.9551\nKd 0.6163 0.6163 0.6163\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl dkblue_pure\nKa 0.0000 0.0000 0.0449\nKd 0.0000 0.0000 0.1347\nKs 0.0000 0.0000 0.5673\nillum 2\nNs 65.8900\n\nnewmtl fldkblue_pure\nKa 0.0000 0.0000 0.0449\nKd 0.0000 0.0000 0.1347\nillum 1\n\nnewmtl dkgreen\nKa 0.0000 0.0122 0.0000\nKd 0.0058 0.0245 0.0000\nKs 0.0000 0.0490 0.0000\nillum 2\nNs 60.0000\n\nnewmtl dkgrey\nKa 0.0490 0.0490 0.0490\nKd 0.0490 0.0490 0.0490\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl ltbrown\nKa 0.1306 0.0538 0.0250\nKd 0.2776 0.1143 0.0531\nKs 0.3000 0.1235 0.0574\nillum 2\nNs 60.0000\n\nnewmtl fldkgreen\nKa 0.0000 0.0122 0.0000\nKd 0.0058 0.0245 0.0000\nillum 1\n\nnewmtl flltbrown\nKa 0.1306 0.0538 0.0250\nKd 0.2776 0.1143 0.0531\nillum 1\n\nnewmtl tan\nKa 0.4000 0.3121 0.1202\nKd 0.6612 0.5221 0.2186\nKs 0.5020 0.4118 0.2152\nillum 2\nNs 60.0000\n\nnewmtl fltan\nKa 0.4000 0.3121 0.1202\nKd 0.6612 0.4567 0.1295\nillum 1\n\nnewmtl brzskin\nKa 0.4408 0.2694 0.1592\nKd 0.3796 0.2898 0.2122\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 25.0000\n\nnewmtl lips\nKa 0.4408 0.2694 0.1592\nKd 0.9265 0.2612 0.2898\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 25.0000\n\nnewmtl redorange\nKa 0.3918 0.0576 0.0000\nKd 0.7551 0.0185 0.0000\nKs 0.4694 0.3224 0.1667\nillum 2\nNs 132.5600\n\nnewmtl blutan\nKa 0.4408 0.2694 0.1592\nKd 0.0776 0.2571 0.2041\nKs 0.1467 0.1469 0.0965\nillum 2\nNs 25.0000\n\nnewmtl bluteal\nKa 0.0041 0.1123 0.1224\nKd 0.0776 0.2571 0.2041\nKs 0.1467 0.1469 0.0965\nillum 2\nNs 25.0000\n\nnewmtl pinktan\nKa 0.4408 0.2694 0.1592\nKd 0.6857 0.2571 0.2163\nKs 0.1467 0.1469 0.0965\nillum 2\nNs 25.0000\n\nnewmtl brnhair\nKa 0.0612 0.0174 0.0066\nKd 0.0898 0.0302 0.0110\nKs 0.1306 0.0819 0.0352\nillum 2\nNs 60.4700\n\nnewmtl blondhair\nKa 0.4449 0.2632 0.0509\nKd 0.5714 0.3283 0.0443\nKs 0.7755 0.4602 0.0918\nillum 2\nNs 4.6500\n\nnewmtl flblonde\nKa 0.4449 0.2632 0.0509\nKd 0.5714 0.3283 0.0443\nillum 1\n\nnewmtl yelloworng\nKa 0.5837 0.1715 0.0000\nKd 0.8857 0.2490 0.0000\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl bone\nKa 0.3061 0.1654 0.0650\nKd 0.9000 0.7626 0.4261\nKs 0.8939 0.7609 0.5509\nillum 2\nNs 200.0000\n\nnewmtl teeth\nKa 0.6408 0.5554 0.3845\nKd 0.9837 0.7959 0.4694\nillum 1\n\nnewmtl brass\nKa 0.2490 0.1102 0.0000\nKd 0.4776 0.1959 0.0000\nKs 0.5796 0.5796 0.5796\nillum 2\nNs 134.8800\n\nnewmtl dkred\nKa 0.0939 0.0000 0.0000\nKd 0.2286 0.0000 0.0000\nKs 0.2490 0.0000 0.0000\nillum 2\nNs 60.0000\n\nnewmtl taupe\nKa 0.1061 0.0709 0.0637\nKd 0.2041 0.1227 0.1058\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 84.5000\n\nnewmtl dkteal\nKa 0.0000 0.0245 0.0163\nKd 0.0000 0.0653 0.0449\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 55.0400\n\nnewmtl dkdkgrey\nKa 0.0000 0.0000 0.0000\nKd 0.0122 0.0122 0.0122\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl dkblue\nKa 0.0000 0.0029 0.0408\nKd 0.0000 0.0041 0.0571\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl gold\nKa 0.7224 0.1416 0.0000\nKd 1.0000 0.4898 0.0000\nKs 0.7184 0.3695 0.3695\nillum 2\nNs 123.2600\n\nnewmtl redbrick\nKa 0.1102 0.0067 0.0067\nKd 0.3306 0.0398 0.0081\nillum 1\n\nnewmtl flmustard\nKa 0.4245 0.2508 0.0000\nKd 0.8898 0.3531 0.0073\nillum 1\n\nnewmtl flpinegreen\nKa 0.0367 0.0612 0.0204\nKd 0.1061 0.2163 0.0857\nillum 1\n\nnewmtl fldkred\nKa 0.0939 0.0000 0.0000\nKd 0.2286 0.0082 0.0082\nillum 1\n\nnewmtl fldkgreen2\nKa 0.0025 0.0122 0.0014\nKd 0.0245 0.0694 0.0041\nillum 1\n\nnewmtl flmintgreen\nKa 0.0408 0.1429 0.0571\nKd 0.1306 0.2898 0.1673\nillum 1\n\nnewmtl olivegreen\nKa 0.0167 0.0245 0.0000\nKd 0.0250 0.0367 0.0000\nKs 0.2257 0.2776 0.1167\nillum 2\nNs 97.6700\n\nnewmtl skin\nKa 0.2286 0.0187 0.0187\nKd 0.1102 0.0328 0.0139\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 17.8300\n\nnewmtl redbrown\nKa 0.1469 0.0031 0.0000\nKd 0.2816 0.0060 0.0000\nKs 0.3714 0.3714 0.3714\nillum 2\nNs 141.0900\n\nnewmtl deepgreen\nKa 0.0000 0.0050 0.0000\nKd 0.0000 0.0204 0.0050\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 113.1800\n\nnewmtl flltolivegreen\nKa 0.0167 0.0245 0.0000\nKd 0.0393 0.0531 0.0100\nillum 1\n\nnewmtl jetflame\nKa 0.7714 0.0000 0.0000\nKd 0.9510 0.4939 0.0980\nKs 0.8531 0.5222 0.0000\nillum 2\nNs 132.5600\n\nnewmtl brownskn\nKa 0.0122 0.0041 0.0000\nKd 0.0204 0.0082 0.0000\nKs 0.0735 0.0508 0.0321\nillum 2\nNs 20.1600\n\nnewmtl greenskn\nKa 0.0816 0.0449 0.0000\nKd 0.0000 0.0735 0.0000\nKs 0.0490 0.1224 0.0898\nillum 3\nNs 46.5100\nsharpness 146.5100\n\nnewmtl ltgrey\nKa 0.5000 0.5000 0.5000\nKd 0.3837 0.3837 0.3837\nKs 0.5000 0.5000 0.5000\nillum 2\nNs 65.8900\n\nnewmtl bronze\nKa 0.0449 0.0204 0.0000\nKd 0.0653 0.0367 0.0122\nKs 0.0776 0.0408 0.0000\nillum 3\nNs 137.2100\nsharpness 125.5800\n\nnewmtl bone1\nKa 0.6408 0.5554 0.3845\nKd 0.9837 0.7959 0.4694\nillum 1\n\nnewmtl flwhite1\nKa 0.9306 0.9306 0.9306\nKd 1.0000 1.0000 1.0000\nillum 1\n\nnewmtl flwhite\nKa 0.6449 0.6116 0.5447\nKd 0.9837 0.9309 0.8392\nKs 0.8082 0.7290 0.5708\nillum 2\nNs 200.0000\n\nnewmtl shadow\nKd 0.0350 0.0248 0.0194\nillum 0\nd 0.2500\n\nnewmtl fldkolivegreen\nKa 0.0056 0.0082 0.0000\nKd 0.0151 0.0204 0.0038\nillum 1\n\nnewmtl fldkdkgrey\nKa 0.0000 0.0000 0.0000\nKd 0.0122 0.0122 0.0122\nillum 1\n\nnewmtl lcdgreen\nKa 0.4000 0.4000 0.4000\nKd 0.5878 1.0000 0.5061\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl brownlips\nKa 0.1143 0.0694 0.0245\nKd 0.1429 0.0653 0.0408\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 25.0000\n\nnewmtl muscle\nKa 0.2122 0.0077 0.0154\nKd 0.4204 0.0721 0.0856\nKs 0.1184 0.1184 0.1184\nillum 2\nNs 25.5800\n\nnewmtl flltgrey\nKa 0.5224 0.5224 0.5224\nKd 0.8245 0.8245 0.8245\nillum 1\n\nnewmtl offwhite.warm\nKa 0.5184 0.4501 0.3703\nKd 0.8367 0.6898 0.4490\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl offwhite.cool\nKa 0.5184 0.4501 0.3703\nKd 0.8367 0.6812 0.5703\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl yellowbrt\nKa 0.4000 0.4000 0.4000\nKd 1.0000 0.7837 0.0000\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl chappie\nKa 0.4000 0.4000 0.4000\nKd 0.5837 0.1796 0.0367\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 60.0000\n\nnewmtl archwhite\nKa 0.2816 0.2816 0.2816\nKd 0.9959 0.9959 0.9959\nillum 1\n\nnewmtl archwhite2\nKa 0.2816 0.2816 0.2816\nKd 0.8408 0.8408 0.8408\nillum 1\n\nnewmtl lighttan\nKa 0.0980 0.0536 0.0220\nKd 0.7020 0.4210 0.2206\nKs 0.8286 0.8057 0.5851\nillum 2\nNs 177.5200\n\nnewmtl lighttan2\nKa 0.0980 0.0492 0.0144\nKd 0.3143 0.1870 0.0962\nKs 0.8286 0.8057 0.5851\nillum 2\nNs 177.5200\n\nnewmtl lighttan3\nKa 0.0980 0.0492 0.0144\nKd 0.1796 0.0829 0.0139\nKs 0.8286 0.8057 0.5851\nillum 2\nNs 177.5200\n\nnewmtl lightyellow\nKa 0.5061 0.1983 0.0000\nKd 1.0000 0.9542 0.3388\nKs 1.0000 0.9060 0.0000\nillum 2\nNs 177.5200\n\nnewmtl lighttannew\nKa 0.0980 0.0492 0.0144\nKd 0.7878 0.6070 0.3216\nKs 0.8286 0.8057 0.5851\nillum 2\nNs 177.5200\n\nnewmtl default\nKa 0.4000 0.4000 0.4000\nKd 0.7102 0.7020 0.6531\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 128.0000\n\nnewmtl ship2\nKa 0.0000 0.0000 0.0000\nKd 1.0000 1.0000 1.0000\nKs 0.1143 0.1143 0.1143\nillum 2\nNs 60.0000\n\nnewmtl dkpurple\nKa 0.0082 0.0000 0.0163\nKd 0.0245 0.0000 0.0490\nKs 0.1266 0.0000 0.2531\nillum 2\nNs 65.8900\n\nnewmtl dkorange\nKa 0.4041 0.0123 0.0000\nKd 0.7143 0.0350 0.0000\nKs 0.7102 0.0870 0.0000\nillum 2\nNs 65.8900\n\nnewmtl mintgrn\nKa 0.0101 0.1959 0.0335\nKd 0.0245 0.4776 0.0816\nKs 0.0245 0.4776 0.0816\nillum 2\nNs 65.8900\n\nnewmtl fgreen\nKa 0.0000 0.0449 0.0000\nKd 0.0000 0.0449 0.0004\nKs 0.0062 0.0694 0.0000\nillum 2\nNs 106.2000\n\nnewmtl glassblutint\nKa 0.4000 0.4000 0.4000\nKd 0.5551 0.8000 0.7730\nKs 0.7969 0.9714 0.9223\nillum 4\nd 0.6700\nNs 60.0000\nsharpness 60.0000\n\nnewmtl bflesh\nKa 0.0122 0.0122 0.0122\nKd 0.0245 0.0081 0.0021\nKs 0.0531 0.0460 0.0153\nillum 2\nNs 20.1600\n\nnewmtl meh\nKa 0.4000 0.4000 0.4000\nKd 0.5551 0.8000 0.7730\nKs 0.7969 0.9714 0.9223\nillum 4\nd 0.2500\nNs 183.7200\nsharpness 60.0000\n\nnewmtl violet\nKa 0.0083 0.0000 0.1265\nKd 0.0287 0.0269 0.1347\nKs 0.2267 0.4537 0.6612\nillum 2\nNs 96.9000\n\nnewmtl iris\nKa 0.3061 0.0556 0.0037\nKd 0.0000 0.0572 0.3184\nKs 0.8041 0.6782 0.1477\nillum 2\nNs 188.3700\n\nnewmtl blugrn\nKa 0.4408 0.4144 0.1592\nKd 0.0811 0.6408 0.2775\nKs 0.1467 0.1469 0.0965\nillum 2\nNs 25.0000\n\nnewmtl glasstransparent\nKa 0.2163 0.2163 0.2163\nKd 0.4694 0.4694 0.4694\nKs 0.6082 0.6082 0.6082\nillum 4\nd 0.2500\nNs 200.0000\nsharpness 60.0000\n\nnewmtl fleshtransparent\nKa 0.4000 0.2253 0.2253\nKd 0.6898 0.2942 0.1295\nKs 0.7388 0.4614 0.4614\nillum 4\nd 0.2500\nNs 6.2000\nsharpness 60.0000\n\nnewmtl fldkgrey\nKa 0.0449 0.0449 0.0449\nKd 0.0939 0.0939 0.0939\nillum 1\n\nnewmtl sky_blue\nKa 0.1363 0.2264 0.4122\nKd 0.1241 0.5931 0.8000\nKs 0.0490 0.0490 0.0490\nillum 2\nNs 13.9500\n\nnewmtl fldkpurple\nKa 0.0443 0.0257 0.0776\nKd 0.1612 0.0000 0.3347\nKs 0.0000 0.0000 0.0000\nillum 2\nNs 13.9500\n\nnewmtl dkbrown\nKa 0.0143 0.0062 0.0027\nKd 0.0087 0.0038 0.0016\nKs 0.2370 0.2147 0.1821\nillum 3\nNs 60.0000\nsharpness 60.0000\n\nnewmtl bone2\nKa 0.6408 0.5388 0.3348\nKd 0.9837 0.8620 0.6504\nillum 1\n\nnewmtl bluegrey\nKa 0.4000 0.4000 0.4000\nKd 0.1881 0.2786 0.2898\nKs 0.3000 0.3000 0.3000\nillum 2\nNs 14.7300\n\nnewmtl metal\nKa 0.9102 0.8956 0.1932\nKd 0.9000 0.7626 0.4261\nKs 0.8939 0.8840 0.8683\nillum 2\nNs 200.0000\n\nnewmtl sand_stone\nKa 0.1299 0.1177 0.0998\nKd 0.1256 0.1138 0.0965\nKs 0.2370 0.2147 0.1821\nillum 3\nNs 60.0000\nsharpness 60.0000\n\nnewmtl hair\nKa 0.0013 0.0012 0.0010\nKd 0.0008 0.0007 0.0006\nKs 0.0000 0.0000 0.0000\nillum 3\nNs 60.0000\nsharpness 60.0000\n",OBJLoader.defaultAppearances,null,null)}}OBJLoader.defaultAppearances=null;OBJLoader.prototype.load=function(d,c,f){if(f===undefined){f=c;c=false}var g=null;if(d.indexOf("jar:")===0){var e=d.indexOf("!/");g=d.substring(e+2);d=d.substring(4,e)}f.progression(Node3D.READING_MODEL,d,0);var b=this;var a={zipReady:function(l){try{if(g===null){var h=l.file(/.*/);for(var k=0;k<h.length;k++){if(h[k].name.match(/\.obj$/)){b.parseOBJEntry(h[k],l,d,c,f);return}}}else{b.parseOBJEntry(l.file(decodeURIComponent(g)),l,d,c,f)}}catch(j){a.zipError(j)}},zipError:function(h){if(f.modelError!==undefined){f.modelError(h)}},progression:function(i,j,h){if(f.progression!==undefined){f.progression(Node3D.READING_MODEL,j,h)}}};ZIPTools.getZIP(d,c,a)};OBJLoader.prototype.clear=function(){this.waitingParsedOBJEntries=[]};OBJLoader.prototype.createScene=function(d,c,i,b,e,l,f){var h=new Group3D();if(l===null){f(Node3D.BUILDING_MODEL,"",0);for(var k in b){this.createGroupShapes(d,c,i,b[k],e,h)}f(Node3D.BUILDING_MODEL,"",1);return h}else{var a=0;for(var k in b){a+=b[k].geometries.length}var g=0;var j=this;var m=function(){f(Node3D.BUILDING_MODEL,"",g/a);var o=Date.now();for(var n in b){j.createGroupShapes(d,c,i,b[n],e,h);g+=b[n].geometries.length;delete b[n];if(g<a&&Date.now()-o>10){setTimeout(m,0);return}}setTimeout(function(){f(Node3D.BUILDING_MODEL,"",1);l(h)},0)};m()}};OBJLoader.prototype.createGroupShapes=function(o,g,y,r,x,t){var w=r.geometries;if(w.length>0){var G=0;while(G<w.length){var d=w[G];var H=d.textureCoordinateIndices.length>0;var J=(d instanceof OBJFace)&&d.normalIndices.length>0;var K=(d instanceof OBJFace)&&d.smooth;var f=d.material;var v=OBJLoader.getAppearance(x,f);var F=G;while(++F<w.length){var m=w[F];var u=m.material;if((m.constructor!==d.constructor)||u===null&&f!==null||u!==null&&OBJLoader.getAppearance(x,u)!==v||(K^((m instanceof OBJFace)&&m.smooth))||(H^m.textureCoordinateIndices.length>0)||(J^((m instanceof OBJFace)&&m.normalIndices.length>0))){break}}if(v!==null){v=v.clone()}var A=F-G;var h=[];var q=[];var e=true;for(var D=0;D<A;D++){var b=w[G+D].vertexIndices;h.push.apply(h,b);q.push(b.length);if(e&&b.length!==3){e=false}}var l=[];if(H){for(var D=0;D<A;D++){l.push.apply(l,w[G+D].textureCoordinateIndices)}}var B;if(d instanceof OBJFace){var s=[];if(J){for(var D=0;D<A;D++){s.push.apply(s,w[G+D].normalIndices)}}var E=[];var z=[];var I=[];if(e){E=h;z=l;I=s}else{new Triangulator().triangulate(o,h,l,s,q,E,z,I)}if(!J){this.generateNormals(o,E,y,I,K?Math.PI/2:0)}B=new IndexedTriangleArray3D(o,E,g,z,y,I)}else{var n=[];var a=[];for(var D=0,p=0;D<A;p+=q[D],D++){for(var C=0;C<q[D]-1;C++){n.push(h[p+C]);n.push(h[p+C+1]);if(l.length>0){a.push(l[p+C]);a.push(l[p+C+1])}}}B=new IndexedLineArray3D(o,n,g,a)}var c=new Shape3D(B,v);t.addChild(c);c.setName(r.name+(G===0?"":G));G=F}}};OBJLoader.getAppearance=function(c,b){var a=undefined;if(b!==null){a=c[b]}if(a===undefined){a=OBJLoader.defaultAppearances["default"]}return a};OBJLoader.prototype.generateNormals=function(c,a,k,e,b){if(b===undefined){b=44*Math.PI/180}var n=vec3.create();var m=vec3.create();if(b>0){var g=[];for(var p=0;p<a.length;p+=3){for(var o=0;o<3;o++){var f=a[p+o];var q=c[f];vec3.sub(n,c[a[p+(o<2?o+1:0)]],q);vec3.sub(m,c[a[p+(o>0?o-1:2)]],q);var u=vec3.cross(vec3.create(),n,m);var t={normal:u};t.nextVertex=g[f];g[f]=t;k.push(u);e.push(k.length-1)}}var l=vec3.create();for(var p=0;p<a.length;p+=3){for(var o=0;o<3;o++){var f=a[p+o];var s=e[p+o];var h=k[s];var u=vec3.create();for(var t=g[f];t!==undefined;t=t.nextVertex){if(t.normal===h){vec3.add(u,u,t.normal)}else{var d=vec3.dot(t.normal,h);if(d>0||b>Math.PI/2){var r=Math.abs(Math.atan2(vec3.length(vec3.cross(l,t.normal,h)),d));if(r<b-0.001){vec3.add(u,u,t.normal)}}}}if(vec3.squaredLength(u)!==0){vec3.normalize(u,u)}else{vec3.copy(u,h);vec3.normalize(u,u)}k[s]=u}}}else{for(var p=0;p<a.length;p+=3){var q=c[a[p+1]];vec3.sub(n,c[a[p+2]],q);vec3.sub(m,c[a[p]],q);var u=vec3.cross(vec3.create(),n,m);vec3.normalize(u,u);var s=k.length-1;if(k.length===0||(k[s][0]!==u[0]||k[s][1]!==u[1]||k[s][2]!==u[2])){k.push(u);s++}for(var o=0;o<3;o++){e.push(s)}}}};OBJLoader.prototype.parseOBJEntry=function(g,b,d,a,i){if(a){var c=g.asBinary();i.progression(Node3D.READING_MODEL,g.name,1);var h=this.parseOBJEntryMaterials(c,g.name,b);var f=this.parseOBJEntryScene(c,g.name,h,null,i.progression);this.loadTextureImages(f,{},b,d,a);i.modelLoaded(f)}else{var e={objEntry:g,zip:b,zipUrl:d,modelObserver:i};this.waitingParsedOBJEntries.push(e);this.parseNextWaitingEntry()}};OBJLoader.prototype.parseNextWaitingEntry=function(){if(!this.parserBusy){for(var c in this.waitingParsedOBJEntries){if(this.waitingParsedOBJEntries.hasOwnProperty(c)){var b=this.waitingParsedOBJEntries[c];var e=b.objEntry.name;var f=b.objEntry.asBinary();b.modelObserver.progression(Node3D.READING_MODEL,e,1);var d=this.parseOBJEntryMaterials(f,e,b.zip);var a=this;setTimeout(function(){a.parseOBJEntryScene(f,e,d,function(g){a.loadTextureImages(g,{},b.zip,b.zipUrl);b.modelObserver.modelLoaded(g);a.parserBusy=false;a.parseNextWaitingEntry()},b.modelObserver.progression)},0);this.parserBusy=true;delete this.waitingParsedOBJEntries[c];break}}}};OBJLoader.prototype.loadTextureImages=function(d,h,b,c,a){if(d instanceof Group3D){for(var g=0;g<d.children.length;g++){this.loadTextureImages(d.children[g],h,b,c)}}else{if(d instanceof Shape3D&&d.appearance.imageEntryName!==undefined){var e=d.appearance.imageEntryName;if(e!==undefined){delete d.appearance[e];if(e in h){d.appearance.setTextureImage(h[e])}else{var f=new Image();d.appearance.setTextureImage(f);f.url="jar:"+c+"!/"+e;h[e]=f;var j=function(){var i=b.file(decodeURIComponent(e));var n=i.asBinary();var k=btoa(n);var m=e.substring(e.lastIndexOf(".")+1).toLowerCase();var l=m=="jpg"?"image/jpeg":("image/"+m);f.transparent=ZIPTools.isTranparentImage(n);f.src="data:"+l+";base64,"+k};if(a){j()}else{setTimeout(j,0)}}}}}};OBJLoader.prototype.parseOBJEntryMaterials=function(c,a,b){var f={};for(var d in OBJLoader.defaultAppearances){var e=OBJLoader.defaultAppearances[d];f[e.getName()]=e}var g=c.indexOf("mtllib");while(g!==-1){var h=g+6;while(h<c.length&&c.charAt(h)!="\n"&&c.charAt(h)!="\r"){h++}var j=c.substring(g,h).trim();var i=j.substring(7,j.length).trim();this.parseMaterialEntry(i,f,a,b);g=c.indexOf("mtllib",h)}return f};OBJLoader.prototype.parseOBJEntryScene=function(e,c,i,o,j){var h=[];var g=[];var m=[];var k=new OBJGroup("default");var f={"default":k};var b={};var a={group:k,material:"default",smooth:false};if(o===null){j(Node3D.PARSING_MODEL,c,0);for(var l=0;l<=e.length;){l=this.parseObjectLine(e,l,h,g,m,f,b,a)}j(Node3D.PARSING_MODEL,c,1);return this.createScene(h,g,m,f,i,null,j)}else{var l=0;var n=this;var d=function(){j(Node3D.PARSING_MODEL,c,l/e.length);var p=l+200000;var q=Date.now();while(l<=e.length){l=n.parseObjectLine(e,l,h,g,m,f,b,a);if(l<=e.length&&l>p&&Date.now()-q>10){setTimeout(d,0);return}}setTimeout(function(){j(Node3D.PARSING_MODEL,c,1);n.createScene(h,g,m,f,i,function(r){o(r)},j)},0)};d()}};OBJLoader.prototype.parseObjectLine=function(e,j,h,g,k,f,b,a){var l=j+1;while(l<e.length&&e.charAt(l)!="\n"&&e.charAt(l)!="\r"){l++}var n=e.substring(j,l);if(n.indexOf("v")===0||n.indexOf("f ")===0||n.indexOf("l ")===0){while(n.charAt(n.length-1)==="\\"){n=n.substring(0,n.length-1);j=l+1;if(j<e.length&&e.charAt(l)=="\r"&&e.charAt(j)=="\n"){j++}l=j+1;while(l<e.length&&e.charAt(l)!="\n"&&e.charAt(l)!="\r"){l++}n+=e.substring(j,l)}}n=n.trim();var m=n.split(/\s+/);var d=m[0];if(d==="v"){h.push(OBJLoader.parseVector3f(m))}else{if(d==="vt"){g.push(OBJLoader.parseVector2f(m))}else{if(d==="vn"){k.push(OBJLoader.parseVector3f(m))}else{if(d==="l"){var n=this.parseLine(m,a.material);if(n.vertexIndices.length>1){a.group.addGeometry(n)}}else{if(d==="f"){var i=this.parseFace(m,a.smooth,a.material);if(i.vertexIndices.length>2){if(i.normalIndices.length===0){a.group.addGeometry(i)}else{if(!(i.material in b)){b[i.material]=a.group}b[i.material].addGeometry(i)}}}else{if(d==="g"||d==="o"){if(m.length>1){var c=m[1];a.group=f[c];if(a.group===undefined){a.group=new OBJGroup(c);f[c]=a.group}}else{a.group=f["default"]}}else{if(d==="s"){a.smooth=m[1]!="off"}else{if(d==="usemtl"){a.material=n.substring(7,n.length).trim()}}}}}}}}j=l+1;if(j<e.length&&e.charAt(l)=="\r"&&e.charAt(j)=="\n"){j++}return j};OBJLoader.prototype.parseLine=function(a,e){var d=[];var g=[];for(var c=0;c<a.length;c++){var f=a[c];if(c>0&&f.length>0){var b=f.indexOf("/");if(b===-1){d.push(parseInt(f)-1)}else{d.push(parseInt(f.substring(0,b))-1);g.push(parseInt(f.substring(b+1))-1)}}}if(d.length!==g.length){g=[]}return new OBJLine(d,g,e)};OBJLoader.prototype.parseFace=function(h,a,g){var e=[];var c=[];var k=[];for(var f=0;f<h.length;f++){var j=h[f];if(f>0&&j.length>0){var b=j.indexOf("/");if(b===-1){e.push(parseInt(j)-1)}else{e.push(parseInt(j.substring(0,b))-1);var d=j.lastIndexOf("/");if(b===d){c.push(parseInt(j.substring(b+1))-1)}else{if(b+1!==d){c.push(parseInt(j.substring(b+1,d))-1)}k.push(parseInt(j.substring(d+1))-1)}}}}if(e.length!==c.length){c=[]}if(e.length!==k.length){k=[]}return new OBJFace(e,c,k,a,g)};OBJLoader.prototype.parseMaterialEntry=function(d,f,e,c){var a=e.lastIndexOf("/");if(a>=0){d=e.substring(0,a+1)+d}var b=c.file(d);if(b!==null){OBJLoader.parseMaterial(b.asBinary(),f,e,c)}};OBJLoader.parseVector3f=function(a){return vec3.fromValues(parseFloat(a[1]),parseFloat(a[2]),parseFloat(a[3]))};OBJLoader.parseVector2f=function(a){return vec2.fromValues(parseFloat(a[1]),parseFloat(a[2]))};OBJLoader.parseMaterial=function(l,j,a,c){var d=null;var m=l.match(/^.*$/mg);for(var h=0;h<m.length;h++){var n=m[h].trim();var k=n.split(/\s+/);var b=k[0];if(b=="newmtl"){d=new Appearance3D(n.substring(7,n.length).trim());j[d.getName()]=d}else{if(d!==null){if(b=="Ka"){d.setAmbientColor(OBJLoader.parseVector3f(k))}else{if(b=="Kd"){d.setDiffuseColor(OBJLoader.parseVector3f(k))}else{if(b=="Ks"){d.setSpecularColor(OBJLoader.parseVector3f(k))}else{if(b=="Ns"){d.setShininess(Math.max(1,Math.min(parseFloat(k[1]),128)))}else{if(b=="d"){d.setTransparency(1-Math.max(0,parseFloat(k[1]=="-halo"?k[2]:k[1])))}else{if(b=="illum"){d.setIllumination(parseInt(k[1]))}else{if(b=="map_Kd"){var e=k[k.length-1];var f=a.lastIndexOf("/");if(f>=0){e=a.substring(0,f+1)+e}var g=c.file(e);if(g!==null){d.imageEntryName=e}}}}}}}}}}}};function OBJGroup(a){this.name=a;this.geometries=[]}OBJGroup.prototype.addGeometry=function(a){this.geometries.push(a)};function OBJLine(b,c,a){this.vertexIndices=b;this.textureCoordinateIndices=c;this.material=a}function OBJFace(d,e,b,a,c){this.vertexIndices=d;this.textureCoordinateIndices=e;this.normalIndices=b;this.smooth=a;this.material=c}function ModelManager(){this.loadedModelNodes={};this.loadingModelObservers={}}ModelManager.WINDOW_PANE_SHAPE_PREFIX="sweethome3d_window_pane";ModelManager.MIRROR_SHAPE_PREFIX="sweethome3d_window_mirror";ModelManager.LIGHT_SHAPE_PREFIX="sweethome3d_light";ModelManager.instance=null;ModelManager.getInstance=function(){if(ModelManager.instance==null){ModelManager.instance=new ModelManager()}return ModelManager.instance};ModelManager.prototype.clear=function(){this.loadedModelNodes={};this.loadingModelObservers={};if(this.objLoader){this.objLoader.clear()}};ModelManager.prototype.getMinimumSize=function(){return 0.001};ModelManager.prototype.getSize=function(e,d){if(d===undefined){d=mat4.create()}var c=this.getBounds(e,d);var a=vec3.create();c.getLower(a);var b=vec3.create();c.getUpper(b);return vec3.fromValues(Math.max(this.getMinimumSize(),b[0]-a[0]),Math.max(this.getMinimumSize(),b[1]-a[1]),Math.max(this.getMinimumSize(),b[2]-a[2]))};ModelManager.prototype.getBounds=function(b,a){if(a===undefined){a=mat4.create()}var c=new BoundingBox3D(vec3.fromValues(Infinity,Infinity,Infinity),vec3.fromValues(-Infinity,-Infinity,-Infinity));this.computeBounds(b,c,a,!this.isOrthogonalRotation(a));return c};ModelManager.prototype.isOrthogonalRotation=function(c){for(var b=0;b<3;b++){for(var a=0;a<3;a++){if(Math.abs(c[b*4+a])>0.000001&&Math.abs(c[b*4+a]-1)>0.000001&&Math.abs(c[b*4+a]+1)>0.000001){return false}}}return true};ModelManager.prototype.computeBounds=function(f,e,d,b){if(f instanceof Group3D){if(f instanceof TransformGroup3D){d=mat4.clone(d);mat4.mul(d,d,f.transform)}for(var c=0;c<f.children.length;c++){this.computeBounds(f.children[c],e,d,b)}}else{if(f instanceof Shape3D){var a;if(b){a=this.computeTransformedGeometryBounds(f,d)}else{a=f.getBounds();a.transform(d)}e.combine(a)}}};ModelManager.prototype.computeTransformedGeometryBounds=function(a,f){var c=vec3.fromValues(Infinity,Infinity,Infinity);var e=vec3.fromValues(-Infinity,-Infinity,-Infinity);for(var d=0;d<a.geometries.length;d++){var h=a.geometries[d];var g=vec3.create();for(var b=0;b<h.vertexIndices.length;b++){vec3.copy(g,h.vertices[h.vertexIndices[b]]);this.updateBounds(g,f,c,e)}}return new BoundingBox3D(c,e)};ModelManager.prototype.updateBounds=function(d,c,a,b){if(c!==null){vec3.transformMat4(d,d,c)}vec3.min(a,a,d);vec3.max(b,b,d)};ModelManager.prototype.getNormalizedTransformGroup=function(b,c,a){return new TransformGroup3D(this.getNormalizedTransform(b,c,a))};ModelManager.prototype.getNormalizedTransform=function(d,c,b){var h=this.getBounds(d);var e=vec3.create();h.getLower(e);var j=vec3.create();h.getUpper(j);var a=mat4.create();mat4.translate(a,a,vec3.fromValues(-e[0]-(j[0]-e[0])/2,-e[1]-(j[1]-e[1])/2,-e[2]-(j[2]-e[2])/2));var g;if(c!==undefined&&c!==null){var g=this.getRotationTransformation(c);mat4.mul(g,g,a);var f=this.getBounds(d,g);f.getLower(e);f.getUpper(j)}else{g=a}var i=mat4.create();mat4.scale(i,i,vec3.fromValues(b/Math.max(this.getMinimumSize(),j[0]-e[0]),b/Math.max(this.getMinimumSize(),j[1]-e[1]),b/Math.max(this.getMinimumSize(),j[2]-e[2])));mat4.mul(i,i,g);return i};ModelManager.prototype.getRotationTransformation=function(b){var a=mat4.create();a[0]=b[0][0];a[4]=b[0][1];a[8]=b[0][2];a[1]=b[1][0];a[5]=b[1][1];a[9]=b[1][2];a[2]=b[2][0];a[6]=b[2][1];a[10]=b[2][2];return a};ModelManager.prototype.getPieceOFFurnitureNormalizedModelTransformation=function(b){var e=mat4.create();var c=b.getWidth();if(b.isModelMirrored()){c*=-1}mat4.scale(e,e,vec3.fromValues(c,b.getHeight(),b.getDepth()));var a=mat4.create();mat4.rotateY(a,a,-b.getAngle());mat4.mul(a,a,e);var f=mat4.create();var d=b.getElevation()+b.getHeight()/2;if(b.getLevel()!==null){d+=b.getLevel().getElevation()}mat4.translate(f,f,vec3.fromValues(b.getX(),d,b.getY()));mat4.mul(f,f,a);return f};ModelManager.prototype.loadModel=function(e,b,d){if(d===undefined){d=b;b=false}var g=e.getURL();if(g in this.loadedModelNodes){var c=this.loadedModelNodes[g];d.modelUpdated(this.cloneNode(c))}else{if(g in this.loadingModelObservers){this.loadingModelObservers[g].push(d)}else{var f=[];f.push(d);this.loadingModelObservers[g]=f;if(!this.objLoader){this.objLoader=new OBJLoader()}var a=this;this.objLoader.load(g,b,{modelLoaded:function(h){var k=a.loadingModelObservers[g];if(k){delete a.loadingModelObservers[g];a.updateWindowPanesTransparency(h);a.loadedModelNodes[g]=h;for(var j=0;j<k.length;j++){k[j].modelUpdated(a.cloneNode(h))}}},modelError:function(j){var k=a.loadingModelObservers[g];if(k){delete a.loadingModelObservers[g];for(var h=0;h<k.length;h++){k[h].modelError(j)}}},progression:function(j,l,h){var m=a.loadingModelObservers[g];if(m){for(var k=0;k<m.length;k++){m[k].progression(j,l,h)}}}})}}};ModelManager.prototype.unloadModel=function(b,a){var c=b.getURL();var d=this.loadedModelNodes[c];delete this.loadedModelNodes[c];delete this.loadingModelObservers[c];if(a){this.disposeGeometries(d)}};ModelManager.prototype.disposeGeometries=function(c){if(c instanceof Group3D){for(var b=0;b<c.children.length;b++){this.disposeGeometries(c.children[b])}}else{if(c instanceof Shape3D){var a=c.getGeometries();for(var b=0;b<a.length;b++){a[b].disposeCoordinates()}}}};ModelManager.prototype.cloneNode=function(c){var f=c.clone();if(c instanceof Shape3D){var e;if(c.getAppearance()){f.setAppearance(c.getAppearance().clone())}}else{f=c.clone();if(c instanceof Group3D){var b=c.getChildren();for(var a=0;a<b.length;a++){var d=this.cloneNode(b[a]);f.addChild(d)}}}return f};ModelManager.prototype.updateWindowPanesTransparency=function(c){if(c instanceof Group3D){for(var b=0;b<c.children.length;b++){this.updateWindowPanesTransparency(c.children[b])}}else{if(c instanceof Shape3D){if(c.getName().indexOf(ModelManager.WINDOW_PANE_SHAPE_PREFIX)===0){var a=c.getAppearance();if(a===null){a=new Appearance3D();c.setAppearance(a)}if(a.getTransparency()===undefined){a.setTransparency(0.5)}}}}};function ModelPreviewComponent(f,g){this.canvas3D=new HTMLCanvas3D(f);this.setDefaultTransform();if(g){var e=0.015;var a=0.02;var d=-Math.PI/2;var c=this;var b={buttonPressed:-1,pointerTouches:{},rotationUpdater:function(h,j,i){if(b.buttonPressed===0){if(i){b.zoomUpdater(b.yLastMove-j)}else{c.viewYaw=c.viewYaw-e*(h-b.xLastMove);c.viewPitch=Math.max(d,Math.min(0,c.viewPitch-e*(j-b.yLastMove)));c.updateViewPlatformTransform()}}},zoomUpdater:function(h){c.viewScale=Math.max(0.5,Math.min(1.3,c.viewScale*Math.exp(h*a)));c.stopRotationAnimation();c.updateViewPlatformTransform()},mousePressed:function(h){b.xLastMove=h.clientX;b.yLastMove=h.clientY;b.buttonPressed=h.button;b.mousePressedInCanvas=true;c.stopRotationAnimation();h.stopPropagation()},windowMouseMoved:function(h){if(b.mousePressedInCanvas){b.rotationUpdater(h.clientX,h.clientY,h.altKey);b.xLastMove=h.clientX;b.yLastMove=h.clientY}},windowMouseReleased:function(h){b.buttonPressed=-1;if(b.mousePressedInCanvas){delete b.mousePressedInCanvas}},pointerPressed:function(h){if(h.pointerType=="mouse"){b.mousePressed(h)}else{b.copyPointerToTargetTouches(h);b.touchStarted(h)}},pointerMousePressed:function(h){h.stopPropagation()},windowPointerMoved:function(h){if(h.pointerType=="mouse"){b.windowMouseMoved(h)}else{b.copyPointerToTargetTouches(h);b.touchMoved(h)}},windowPointerReleased:function(h){if(h.pointerType=="mouse"){b.windowMouseReleased(h)}else{delete b.pointerTouches[h.pointerId];b.touchEnded(h)}},touchStarted:function(h){h.preventDefault();if(h.targetTouches.length==1){b.buttonPressed=0;b.xLastMove=h.targetTouches[0].pageX;b.yLastMove=h.targetTouches[0].pageY}else{if(h.targetTouches.length==2){b.distanceLastPinch=b.distance(h.targetTouches[0],h.targetTouches[1])}}c.stopRotationAnimation()},touchMoved:function(j){j.preventDefault();if(j.targetTouches.length==1){var h=j.targetTouches[0].pageX;var l=j.targetTouches[0].pageY;b.rotationUpdater(h,l,false);b.xLastMove=h;b.yLastMove=l}else{if(j.targetTouches.length==2){var i=b.distance(j.targetTouches[0],j.targetTouches[1]);var k=b.distanceLastPinch/i;c.viewScale=Math.max(0.5,Math.min(1.3,c.viewScale*k));c.updateViewPlatformTransform();b.distanceLastPinch=i}}},touchEnded:function(h){b.buttonPressed=-1},copyPointerToTargetTouches:function(i){b.pointerTouches[i.pointerId]={pageX:i.clientX,pageY:i.clientY};i.targetTouches=[];for(var h in b.pointerTouches){if(b.pointerTouches.hasOwnProperty(h)){i.targetTouches.push(b.pointerTouches[h])}}},distance:function(i,h){return Math.sqrt(Math.pow(h.pageX-i.pageX,2)+Math.pow(h.pageY-i.pageY,2))},mouseScrolled:function(h){h.preventDefault();b.zoomUpdater(h.detail)},mouseWheelMoved:function(h){h.preventDefault();b.zoomUpdater(h.deltaY!==undefined?h.deltaY/2:-h.wheelDelta/3)},visibilityChanged:function(h){if(document.visibilityState=="hidden"){c.stopRotationAnimation()}}};if(window.PointerEvent){this.canvas3D.getCanvas().addEventListener("pointerdown",b.pointerPressed);this.canvas3D.getCanvas().addEventListener("mousedown",b.pointerMousePressed);window.addEventListener("pointermove",b.windowPointerMoved);window.addEventListener("pointerup",b.windowPointerReleased)}else{this.canvas3D.getCanvas().addEventListener("touchstart",b.touchStarted);this.canvas3D.getCanvas().addEventListener("touchmove",b.touchMoved);this.canvas3D.getCanvas().addEventListener("touchend",b.touchEnded);this.canvas3D.getCanvas().addEventListener("mousedown",b.mousePressed);window.addEventListener("mousemove",b.windowMouseMoved);window.addEventListener("mouseup",b.windowMouseReleased)}this.canvas3D.getCanvas().addEventListener("DOMMouseScroll",b.mouseScrolled);this.canvas3D.getCanvas().addEventListener("mousewheel",b.mouseWheelMoved);document.addEventListener("visibilitychange",b.visibilityChanged);this.userActionsListener=b}}ModelPreviewComponent.prototype.setDefaultTransform=function(){this.viewYaw=Math.PI/8;this.viewPitch=-Math.PI/8;this.viewScale=1;this.updateViewPlatformTransform()};ModelPreviewComponent.prototype.updateViewPlatformTransform=function(){var b=1.4/Math.tan(Math.PI/8);var e=mat4.create();mat4.translate(e,e,vec3.fromValues(0,0,b));var a=mat4.create();mat4.rotateX(a,a,this.viewPitch);var d=mat4.create();mat4.rotateY(d,d,this.viewYaw);var c=mat4.create();mat4.scale(c,c,vec3.fromValues(this.viewScale,this.viewScale,this.viewScale));mat4.mul(a,a,e);mat4.mul(d,d,a);mat4.mul(c,c,d);this.canvas3D.setViewPlatformTransform(c)};ModelPreviewComponent.prototype.setModel=function(d,e,a,c){this.content=d;this.canvas3D.clear();var b=this;ModelManager.getInstance().loadModel(d,{modelUpdated:function(g){if(d===b.content){var f=ModelManager.getInstance();var j=e?f.getRotationTransformation(e):mat4.create();var h=f.getSize(g);var i=1.8/Math.max(Math.max(h[0],h[1]),h[2]);mat4.scale(j,j,vec3.fromValues(i,i,i));mat4.scale(j,j,h);mat4.mul(j,j,f.getNormalizedTransform(g,null,1));var k=new TransformGroup3D(j);k.addChild(g);var l=new BranchGroup3D();l.addChild(k);l.addChild(new DirectionalLight3D(vec3.fromValues(0.9,0.9,0.9),vec3.fromValues(1.732,-0.8,-1)));l.addChild(new DirectionalLight3D(vec3.fromValues(0.9,0.9,0.9),vec3.fromValues(-1.732,-0.8,-1)));l.addChild(new DirectionalLight3D(vec3.fromValues(0.9,0.9,0.9),vec3.fromValues(0,-0.8,1)));l.addChild(new DirectionalLight3D(vec3.fromValues(0.66,0.66,0.66),vec3.fromValues(0,1,0)));l.addChild(new AmbientLight3D(vec3.fromValues(0.2,0.2,0.2)));b.setDefaultTransform();b.canvas3D.setScene(l,c);b.canvas3D.updateViewportSize()}},modelError:function(f){if(d===b.content&&a!==undefined){a(f)}},progression:function(g,h,f){if(d===b.content&&c!==undefined){c(g,h,f)}}})};ModelPreviewComponent.prototype.clear=function(){this.stopRotationAnimation();this.canvas3D.clear()};ModelPreviewComponent.prototype.dispose=function(){if(window.PointerEvent){window.removeEventListener("pointermove",this.userActionsListener.windowPointerMoved);window.removeEventListener("pointerup",this.userActionsListener.windowPointerReleased)}else{window.removeEventListener("mousemove",this.userActionsListener.windowMouseMoved);window.removeEventListener("mouseup",this.userActionsListener.windowMouseReleased)}document.removeEventListener("visibilitychange",this.userActionsListener.visibilityChanged);this.clear()};ModelPreviewComponent.prototype.startRotationAnimation=function(a){this.roundsPerMinute=a!==undefined?a:5;if(!this.rotationAnimationStarted){this.rotationAnimationStarted=true;this.animate()}};ModelPreviewComponent.prototype.animate=function(){if(this.rotationAnimationStarted){var b=Date.now();if(this.lastRotationAnimationTime!==undefined){var a=this.roundsPerMinute*2*Math.PI/60000;this.viewYaw+=((b-this.lastRotationAnimationTime)*a)%(2*Math.PI);this.updateViewPlatformTransform()}this.lastRotationAnimationTime=b;var c=this;requestAnimationFrame(function(){c.animate()})}};ModelPreviewComponent.prototype.stopRotationAnimation=function(){delete this.lastRotationAnimationTime;delete this.rotationAnimationStarted};function viewModelInOverlay(s,e){var t=window.innerWidth;var j=window.innerHeight;var r=document.documentElement.clientWidth;var i=document.documentElement.clientHeight;var m=document.getElementsByTagName("body").item(0);if(m&&m.scrollWidth){if(m.scrollWidth>r){r=m.scrollWidth}if(m.scrollHeight>i){i=m.scrollHeight}}var d=window.pageXOffset?window.pageXOffset:0;var c=window.pageYOffset?window.pageYOffset:0;var f=document.getElementById("canvas3D");if(!f){createModel3DOverlay();f=document.getElementById("canvas3D")}var n=document.getElementById("modelViewerOverlay");n.style.height=Math.max(i,j)+"px";n.style.width=r<=t?"100%":r+"px";n.style.display="block";var b=Math.min(800,t,j);b*=0.9;f.width=b;f.style.width=f.width+"px";f.height=b;f.style.height=f.height+"px";var o=d+(t-b-10)/2;f.style.left=o+"px";var p=c+(j-b-10)/2;f.style.top=p+"px";var h=document.getElementById("modelViewerCloseButton");h.style.left=(o+b-5)+"px";h.style.top=(p-10)+"px";var g=document.getElementById("modelViewerProgressDiv");g.style.left=(o+(b-300)/2)+"px";g.style.top=(p+(b-50)/2)+"px";g.style.visibility="visible";document.getElementById("modelViewerProgress").value=0;try{if(f.modelPreviewComponent===undefined){f.modelPreviewComponent=new ModelPreviewComponent("canvas3D",true)}var l=f.modelPreviewComponent;var k=undefined;if(e){var a=e.split(/\s+/);k=[[parseFloat(a[0]),parseFloat(a[1]),parseFloat(a[2])],[parseFloat(a[3]),parseFloat(a[4]),parseFloat(a[5])],[parseFloat(a[6]),parseFloat(a[7]),parseFloat(a[8])]]}l.setModel(new URLContent(s),k,function(u){console.log(u);alert(u)},function(x,y,v){var w=document.getElementById("modelViewerProgress");if(x===Node3D.READING_MODEL){w.value=v*100;y=y.substring(y.lastIndexOf("/")+1)}else{if(x===Node3D.PARSING_MODEL){w.value=210+v*100}else{if(x===Node3D.BUILDING_MODEL){w.value=310+v*100}else{if(x===Node3D.BINDING_MODEL){w.value=410+v*50}}}}var u=document.getElementById("modelViewerProgressLabel");if(x===Node3D.BUILDING_MODEL&&v===1){u.innerHTML="Preparing display..."}else{u.innerHTML=(v?Math.floor(v*100)+"% ":"")+x+" "+y}if(x===Node3D.BINDING_MODEL&&v===1){document.getElementById("modelViewerProgressDiv").style.visibility="hidden";l.startRotationAnimation()}})}catch(q){hideModel3DOverlay();if(q=="No WebGL"){alert("Sorry, your browser doesn't support WebGL.")}else{alert("Error: "+q)}}}function createModel3DOverlay(){var e=document.createElement("div");e.setAttribute("id","modelViewerOverlay");e.style.display="none";e.style.position="absolute";e.style.left="0";e.style.top="0";e.style.zIndex="100";e.style.background="rgba(127, 127, 127, .5)";var d=document.getElementsByTagName("body").item(0);d.insertBefore(e,d.firstChild);var f=document.createElement("div");f.innerHTML='<canvas id="canvas3D" style="background-color: #CCCCCC; border: 1px solid gray; position: absolute; touch-action: none"></canvas><div id="modelViewerProgressDiv" style="position:absolute; width: 300px;">  <progress id="modelViewerProgress" value="0" max="460" style="width: 300px;"></progress>  <label id="modelViewerProgressLabel" style="margin-top: 2px; font-family: Sans-serif; margin-left: 10px; margin-right: 0px; display: block;"></label></div>';var a=new Image();a.src=ZIPTools.getScriptFolder("jszip.min.js")+"/close.png";a.id="modelViewerCloseButton";a.style.position="absolute";e.appendChild(f);e.appendChild(a);var b=function(g){hideModel3DOverlay("canvas3D")};window.addEventListener("keydown",function(g){if(g.keyCode===27){b()}});a.addEventListener("click",b);var c={mousePressed:function(g){c.mousePressedInCanvas=true},mouseClicked:function(g){if(c.mousePressedInCanvas){delete c.mousePressedInCanvas;b()}}};e.addEventListener("mousedown",c.mousePressed);e.addEventListener("click",c.mouseClicked);e.addEventListener("touchmove",function(g){g.preventDefault()})}function hideModel3DOverlay(){document.getElementById("modelViewerOverlay").style.display="none";var a=document.getElementById("canvas3D").modelPreviewComponent;if(a){a.clear();ModelManager.getInstance().clear();ZIPTools.clear()}}function bindAnchorsToModel3DViewer(e){var d=document.getElementsByTagName("a");for(var c=0;c<d.length;c++){var b=d[c];var a=b.getAttribute("href");if(a!==null&&a.match(e)){b.onclick=function(){viewModelInOverlay(this.getAttribute("href"),this.getAttribute("data-model-rotation"));return false}}}};